#! /bin/bash
# generated by collect_git_remote_add_recursively.sh

pushd $(dirname $0)                                                             2> /dev/null   > /dev/null
cd ..

mode="d"

getopts ":fqh" opt
#echo opt+arg = "$opt$OPTARG"
case "$opt$OPTARG" in
f )
  echo "--- check out master/HEAD before registering all git remotes ---"
  for (( i=OPTIND; i > 1; i-- )) do
    shift
  done
  #echo args: $@
  mode="f"

  git submodule sync
  git submodule update --init
  git submodule update --init --recursive

  util/git_checkout_submodules_head.sh
  ;;

"?" )
  echo "--- set up git remotes only ---"
  ;;

q )
  echo "--- set up git remotes only ---"
  for (( i=OPTIND; i > 1; i-- )) do
    shift
  done
  #echo args: $@
  mode="q"
  ;;

* )
  cat <<EOT
$0 [-f] [-q] [submodule-paths]

set up git remotes for any / all submodules.

-f       : 'full featured', i.e. check out the preferred branch for each submodule
           and register all submodule remotes.
-q       : 'quick', i.e. only register all submodule remotes.
submodule-paths
         : when you specify one or more submodule directories, than only the
           remotes for those submodules will be set up.
           This is optional; the default sets up the remotes for ALL submodules.

EOT
  exit
  ;;
esac


submodule=xxxxxx

# args: (path, name, repo, argc, argv...)
function register_remote {
    argc=$#
    argv=("$@")
    path=$1
    name=$2
    repo=$3
    #echo register_remote [$path] [$name] [$repo] [$argc] [...]

    # only when paths have been specified on the commandline do we check whether the given remote should be registered
    # (apart from the separate check to see if the submodule has actually been installed, see further below)
    if test $argc -gt 4 ; then
        hit=0
        for ((i=4; i < $argc; i++)); do
            #echo testing dir $i: ${argv[$i]}
            if test ${argv[$i]} = $path ; then
                hit=1
                break
            fi
        done
    else
        hit=1
    fi

    if test $hit -ne 0 ; then
        if test -d $path && test -s $path/.git ; then
            if test $submodule != $path ; then
                echo -------------------------------------------------------------------------------------
                echo submodule:: $path
                submodule=$path
            fi
            pushd $path                                                         2> /dev/null   > /dev/null
            if test "$mode" = "f" ; then
                git remote rm $name
            fi
            git remote add $name $repo
            popd                                                                2> /dev/null   > /dev/null
        fi
    fi
}






register_remote .                                                             0x7fffffff                               git@github.com:0x7fffffff/highlight.js.git                                       $# $@
register_remote .                                                             1ec5                                     git@github.com:1ec5/highlight.js.git                                             $# $@
register_remote .                                                             1st1                                     git@github.com:1st1/highlight.js.git                                             $# $@
register_remote .                                                             4074                                     git@github.com:4074/highlight.js.git                                             $# $@
register_remote .                                                             44ka28ta                                 git@github.com:44ka28ta/highlight.js.git                                         $# $@
register_remote .                                                             4ppl                                     git@github.com:4ppl/highlight.js.git                                             $# $@
register_remote .                                                             7040210                                  git@github.com:7040210/highlight.js.git                                          $# $@
register_remote .                                                             89sos98                                  git@github.com:89sos98/highlight.js.git                                          $# $@
register_remote .                                                             91thUb                                   git@github.com:91thUb/highlight.js.git                                           $# $@
register_remote .                                                             Aaron1992                                git@github.com:Aaron1992/highlight.js.git                                        $# $@
register_remote .                                                             AdamMagaluk                              git@github.com:AdamMagaluk/highlight.js.git                                      $# $@
register_remote .                                                             Aeon                                     git@github.com:Aeon/highlight.js.git                                             $# $@
register_remote .                                                             Ajunboys                                 git@github.com:Ajunboys/highlight.js.git                                         $# $@
register_remote .                                                             Ajyamal                                  git@github.com:Ajyamal/highlight.js.git                                          $# $@
register_remote .                                                             AkenNiu                                  git@github.com:AkenNiu/highlight.js.git                                          $# $@
register_remote .                                                             AlexandreBeaulne                         git@github.com:AlexandreBeaulne/highlight.js.git                                 $# $@
register_remote .                                                             AlexisNo                                 git@github.com:AlexisNo/highlight.js.git                                         $# $@
register_remote .                                                             Alexxxone                                git@github.com:Alexxxone/highlight.js.git                                        $# $@
register_remote .                                                             AlfHub                                   git@github.com:AlfHub/highlight.js.git                                           $# $@
register_remote .                                                             AlienEngineer                            git@github.com:AlienEngineer/highlight.js.git                                    $# $@
register_remote .                                                             AllenWeb                                 git@github.com:AllenWeb/highlight.js.git                                         $# $@
register_remote .                                                             Alxandr                                  git@github.com:Alxandr/highlight.js.git                                          $# $@
register_remote .                                                             Anaibi                                   git@github.com:Anaibi/highlight.js.git                                           $# $@
register_remote .                                                             Ankirama                                 git@github.com:Ankirama/highlight.js.git                                         $# $@
register_remote .                                                             AnthonyDou                               git@github.com:AnthonyDou/highlight.js.git                                       $# $@
register_remote .                                                             Archie22is                               git@github.com:Archie22is/highlight.js.git                                       $# $@
register_remote .                                                             ArchivedRepos                            git@github.com:ArchivedRepos/highlight.js.git                                    $# $@
register_remote .                                                             ArnSch                                   git@github.com:ArnSch/highlight.js.git                                           $# $@
register_remote .                                                             ArvoGuo                                  git@github.com:ArvoGuo/highlight.js.git                                          $# $@
register_remote .                                                             Asenar                                   git@github.com:Asenar/highlight.js.git                                           $# $@
register_remote .                                                             BennettJames                             git@github.com:BennettJames/highlight.js.git                                     $# $@
register_remote .                                                             BorisSchaeling                           git@github.com:BorisSchaeling/highlight.js.git                                   $# $@
register_remote .                                                             BrianHicks                               git@github.com:BrianHicks/highlight.js.git                                       $# $@
register_remote .                                                             Burstaholic                              git@github.com:Burstaholic/highlight.js.git                                      $# $@
register_remote .                                                             CRGreathouse                             git@github.com:CRGreathouse/highlight.js.git                                     $# $@
register_remote .                                                             CarlZeng                                 git@github.com:CarlZeng/highlight.js.git                                         $# $@
register_remote .                                                             CaryLandholt                             git@github.com:CaryLandholt/highlight.js.git                                     $# $@
register_remote .                                                             ChaiScript                               git@github.com:ChaiScript/highlight.js.git                                       $# $@
register_remote .                                                             ChristopherBiscardi                      git@github.com:ChristopherBiscardi/highlight.js.git                              $# $@
register_remote .                                                             Cirru                                    git@github.com:Cirru/highlight.js.git                                            $# $@
register_remote .                                                             ClouDev                                  git@github.com:ClouDev/highlight.js.git                                          $# $@
register_remote .                                                             Cocycles                                 git@github.com:Cocycles/highlight.js.git                                         $# $@
register_remote .                                                             CodeArhat                                git@github.com:CodeArhat/highlight.js.git                                        $# $@
register_remote .                                                             ColinOrr-Asidua                          git@github.com:ColinOrr-Asidua/highlight.js.git                                  $# $@
register_remote .                                                             Concurix                                 git@github.com:Concurix/highlight.js.git                                         $# $@
register_remote .                                                             CoryGH                                   git@github.com:CoryGH/highlight.js.git                                           $# $@
register_remote .                                                             Craftist                                 git@github.com:Craftist/highlight.js.git                                         $# $@
register_remote .                                                             DanRathbun                               git@github.com:DanRathbun/highlight.js.git                                       $# $@
register_remote .                                                             DanielRosenwasser                        git@github.com:DanielRosenwasser/highlight.js.git                                $# $@
register_remote .                                                             DavidAnson                               git@github.com:DavidAnson/highlight.js.git                                       $# $@
register_remote .                                                             Defavlt                                  git@github.com:Defavlt/highlight.js.git                                          $# $@
register_remote .                                                             Delermando                               git@github.com:Delermando/highlight.js.git                                       $# $@
register_remote .                                                             DenVdmj                                  git@github.com:DenVdmj/highlight.js.git                                          $# $@
register_remote .                                                             DiVAN1x                                  git@github.com:DiVAN1x/highlight.js.git                                          $# $@
register_remote .                                                             Diaosir                                  git@github.com:Diaosir/highlight.js.git                                          $# $@
register_remote .                                                             DiazGopar                                git@github.com:DiazGopar/highlight.js.git                                        $# $@
register_remote .                                                             DmitryBochkarev                          git@github.com:DmitryBochkarev/highlight.js.git                                  $# $@
register_remote .                                                             DominikGuzei                             git@github.com:DominikGuzei/highlight.js.git                                     $# $@
register_remote .                                                             EmlynC                                   git@github.com:EmlynC/highlight.js.git                                           $# $@
register_remote .                                                             EpicArtz08999                            git@github.com:EpicArtz08999/highlight.js.git                                    $# $@
register_remote .                                                             EricFromCanada                           git@github.com:EricFromCanada/highlight.js.git                                   $# $@
register_remote .                                                             F1LT3R                                   git@github.com:F1LT3R/highlight.js.git                                           $# $@
register_remote .                                                             FLyrfors                                 git@github.com:FLyrfors/highlight.js.git                                         $# $@
register_remote .                                                             Fannon                                   git@github.com:Fannon/highlight.js.git                                           $# $@
register_remote .                                                             FlowerBirds                              git@github.com:FlowerBirds/highlight.js.git                                      $# $@
register_remote .                                                             FuDesign2008                             git@github.com:FuDesign2008/highlight.js.git                                     $# $@
register_remote .                                                             Geequlim                                 git@github.com:Geequlim/highlight.js.git                                         $# $@
register_remote .                                                             GeorgeGathura                            git@github.com:GeorgeGathura/highlight.js.git                                    $# $@
register_remote .                                                             GerHobbelt                               git@github.com:GerHobbelt/highlight.js.git                                       $# $@
register_remote .                                                             GitHublong                               git@github.com:GitHublong/highlight.js.git                                       $# $@
register_remote .                                                             GlenDC                                   git@github.com:GlenDC/highlight.js.git                                           $# $@
register_remote .                                                             Grahack                                  git@github.com:Grahack/highlight.js.git                                          $# $@
register_remote .                                                             Gregwar                                  git@github.com:Gregwar/highlight.js.git                                          $# $@
register_remote .                                                             GreyCat                                  git@github.com:GreyCat/highlight.js.git                                          $# $@
register_remote .                                                             GrigoryPtashko                           git@github.com:GrigoryPtashko/highlight.js.git                                   $# $@
register_remote .                                                             Gryme                                    git@github.com:Gryme/highlight.js.git                                            $# $@
register_remote .                                                             GuillaumeGomez                           git@github.com:GuillaumeGomez/highlight.js.git                                   $# $@
register_remote .                                                             GunjanMediscribes                        git@github.com:GunjanMediscribes/highlight.js.git                                $# $@
register_remote .                                                             Harri                                    git@github.com:Harri/highlight.js.git                                            $# $@
register_remote .                                                             HeTaoKKIT                                git@github.com:HeTaoKKIT/highlight.js.git                                        $# $@
register_remote .                                                             Hello-Mac                                git@github.com:Hello-Mac/highlight.js.git                                        $# $@
register_remote .                                                             HeroicEric                               git@github.com:HeroicEric/highlight.js.git                                       $# $@
register_remote .                                                             INTELOGIE                                git@github.com:INTELOGIE/highlight.js.git                                        $# $@
register_remote .                                                             IOIO72                                   git@github.com:IOIO72/highlight.js.git                                           $# $@
register_remote .                                                             ITryMtBestMyBest                         git@github.com:ITryMtBestMyBest/highlight.js.git                                 $# $@
register_remote .                                                             Ikovic-lab                               git@github.com:Ikovic-lab/highlight.js.git                                       $# $@
register_remote .                                                             Infocatcher                              git@github.com:Infocatcher/highlight.js.git                                      $# $@
register_remote .                                                             Ir1d                                     git@github.com:Ir1d/highlight.js.git                                             $# $@
register_remote .                                                             IronGeek                                 git@github.com:IronGeek/highlight.js.git                                         $# $@
register_remote .                                                             Itec-lds                                 git@github.com:Itec-lds/highlight.js.git                                         $# $@
register_remote .                                                             J2TeaM                                   git@github.com:J2TeaM/highlight.js.git                                           $# $@
register_remote .                                                             JCarlesVilaseca                          git@github.com:JCarlesVilaseca/highlight.js.git                                  $# $@
register_remote .                                                             JSlibrary                                git@github.com:JSlibrary/highlight.js.git                                        $# $@
register_remote .                                                             JavaDevVictoria                          git@github.com:JavaDevVictoria/highlight.js.git                                  $# $@
register_remote .                                                             JohnnyMa                                 git@github.com:JohnnyMa/highlight.js.git                                         $# $@
register_remote .                                                             Jonham                                   git@github.com:Jonham/highlight.js.git                                           $# $@
register_remote .                                                             Joostvanderlaan                          git@github.com:Joostvanderlaan/highlight.js.git                                  $# $@
register_remote .                                                             JoshOldenburg-graveyard                  git@github.com:JoshOldenburg-graveyard/highlight.js.git                          $# $@
register_remote .                                                             JuanDMeGon                               git@github.com:JuanDMeGon/highlight.js.git                                       $# $@
register_remote .                                                             JulienHe                                 git@github.com:JulienHe/highlight.js.git                                         $# $@
register_remote .                                                             Justineo                                 git@github.com:Justineo/highlight.js.git                                         $# $@
register_remote .                                                             KDouieb                                  git@github.com:KDouieb/highlight.js.git                                          $# $@
register_remote .                                                             KidoPlay                                 git@github.com:KidoPlay/highlight.js.git                                         $# $@
register_remote .                                                             Kingside                                 git@github.com:Kingside/highlight.js.git                                         $# $@
register_remote .                                                             Klowner                                  git@github.com:Klowner/highlight.js.git                                          $# $@
register_remote .                                                             LLNet                                    git@github.com:LLNet/highlight.js.git                                            $# $@
register_remote .                                                             LanFly                                   git@github.com:LanFly/highlight.js.git                                           $# $@
register_remote .                                                             LightGuard                               git@github.com:LightGuard/highlight.js.git                                       $# $@
register_remote .                                                             LloydDavid                               git@github.com:LloydDavid/highlight.js.git                                       $# $@
register_remote .                                                             Loadar                                   git@github.com:Loadar/highlight.js.git                                           $# $@
register_remote .                                                             Lochemage                                git@github.com:Lochemage/highlight.js.git                                        $# $@
register_remote .                                                             LogtalkDotOrg                            git@github.com:LogtalkDotOrg/highlight.js.git                                    $# $@
register_remote .                                                             LouisT                                   git@github.com:LouisT/highlight.js.git                                           $# $@
register_remote .                                                             Lt-Pone                                  git@github.com:Lt-Pone/highlight.js.git                                          $# $@
register_remote .                                                             Macauley-Meng                            git@github.com:Macauley-Meng/highlight.js.git                                    $# $@
register_remote .                                                             Maff-                                    git@github.com:Maff-/highlight.js.git                                            $# $@
register_remote .                                                             MakeNowJust                              git@github.com:MakeNowJust/highlight.js.git                                      $# $@
register_remote .                                                             MarkTseng                                git@github.com:MarkTseng/highlight.js.git                                        $# $@
register_remote .                                                             MatKallada                               git@github.com:MatKallada/highlight.js.git                                       $# $@
register_remote .                                                             MichaelPoP                               git@github.com:MichaelPoP/highlight.js.git                                       $# $@
register_remote .                                                             Mogztter                                 git@github.com:Mogztter/highlight.js.git                                         $# $@
register_remote .                                                             Moliholy                                 git@github.com:Moliholy/highlight.js.git                                         $# $@
register_remote .                                                             Morriar                                  git@github.com:Morriar/highlight.js.git                                          $# $@
register_remote .                                                             MrAgame13                                git@github.com:MrAgame13/highlight.js.git                                        $# $@
register_remote .                                                             NavyCo                                   git@github.com:NavyCo/highlight.js.git                                           $# $@
register_remote .                                                             Nebuleon                                 git@github.com:Nebuleon/highlight.js.git                                         $# $@
register_remote .                                                             Nettsentrisk                             git@github.com:Nettsentrisk/highlight.js.git                                     $# $@
register_remote .                                                             NickHodges                               git@github.com:NickHodges/highlight.js.git                                       $# $@
register_remote .                                                             Nindaleth                                git@github.com:Nindaleth/highlight.js.git                                        $# $@
register_remote .                                                             Ninerian                                 git@github.com:Ninerian/highlight.js.git                                         $# $@
register_remote .                                                             NorfairHistorys                          git@github.com:NorfairHistorys/highlight.js.git                                  $# $@
register_remote .                                                             OiCMudkips                               git@github.com:OiCMudkips/highlight.js.git                                       $# $@
register_remote .                                                             Oldes                                    git@github.com:Oldes/highlight.js.git                                            $# $@
register_remote .                                                             OmarBerrayti                             git@github.com:OmarBerrayti/highlight.js.git                                     $# $@
register_remote .                                                             OrbitzWorldwide                          git@github.com:OrbitzWorldwide/highlight.js.git                                  $# $@
register_remote .                                                             PMelia07                                 git@github.com:PMelia07/highlight.js.git                                         $# $@
register_remote .                                                             Parakoopa                                git@github.com:Parakoopa/highlight.js.git                                        $# $@
register_remote .                                                             PeterDaveHello                           git@github.com:PeterDaveHello/highlight.js.git                                   $# $@
register_remote .                                                             PhiLhoSoft                               git@github.com:PhiLhoSoft/highlight.js.git                                       $# $@
register_remote .                                                             PinZhang                                 git@github.com:PinZhang/highlight.js.git                                         $# $@
register_remote .                                                             Qwerp-Derp                               git@github.com:Qwerp-Derp/highlight.js.git                                       $# $@
register_remote .                                                             RX14                                     git@github.com:RX14/highlight.js.git                                             $# $@
register_remote .                                                             RaffaeleSgarro                           git@github.com:RaffaeleSgarro/highlight.js.git                                   $# $@
register_remote .                                                             RetinaInc                                git@github.com:RetinaInc/highlight.js.git                                        $# $@
register_remote .                                                             RickStrahl                               git@github.com:RickStrahl/highlight.js.git                                       $# $@
register_remote .                                                             Rio517                                   git@github.com:Rio517/highlight.js.git                                           $# $@
register_remote .                                                             Rudy7kZ                                  git@github.com:Rudy7kZ/highlight.js.git                                          $# $@
register_remote .                                                             STRML                                    git@github.com:STRML/highlight.js.git                                            $# $@
register_remote .                                                             Sannis                                   git@github.com:Sannis/highlight.js.git                                           $# $@
register_remote .                                                             SashaDesigN                              git@github.com:SashaDesigN/highlight.js.git                                      $# $@
register_remote .                                                             SayCV                                    git@github.com:SayCV/highlight.js.git                                            $# $@
register_remote .                                                             SecureCloud-biz                          git@github.com:SecureCloud-biz/highlight.js.git                                  $# $@
register_remote .                                                             SibuStephen                              git@github.com:SibuStephen/highlight.js.git                                      $# $@
register_remote .                                                             SimonWaldherr                            git@github.com:SimonWaldherr/highlight.js.git                                    $# $@
register_remote .                                                             Siniliote                                git@github.com:Siniliote/highlight.js.git                                        $# $@
register_remote .                                                             StepLg                                   git@github.com:StepLg/highlight.js.git                                           $# $@
register_remote .                                                             Szaq                                     git@github.com:Szaq/highlight.js.git                                             $# $@
register_remote .                                                             TApplencourt                             git@github.com:TApplencourt/highlight.js.git                                     $# $@
register_remote .                                                             TBRSS                                    git@github.com:TBRSS/highlight.js.git                                            $# $@
register_remote .                                                             TC911                                    git@github.com:TC911/highlight.js.git                                            $# $@
register_remote .                                                             TJUmedialab                              git@github.com:TJUmedialab/highlight.js.git                                      $# $@
register_remote .                                                             TURBO-RACCOON                            git@github.com:TURBO-RACCOON/highlight.js.git                                    $# $@
register_remote .                                                             TheSmitchell                             git@github.com:TheSmitchell/highlight.js.git                                     $# $@
register_remote .                                                             Theodule                                 git@github.com:Theodule/highlight.js.git                                         $# $@
register_remote .                                                             To-mos                                   git@github.com:To-mos/highlight.js.git                                           $# $@
register_remote .                                                             Vadimtro                                 git@github.com:Vadimtro/highlight.js.git                                         $# $@
register_remote .                                                             Vasile2k                                 git@github.com:Vasile2k/highlight.js.git                                         $# $@
register_remote .                                                             VoldemarLeGrand                          git@github.com:VoldemarLeGrand/highlight.js.git                                  $# $@
register_remote .                                                             Vungle                                   git@github.com:Vungle/highlight.js.git                                           $# $@
register_remote .                                                             WeZZard                                  git@github.com:WeZZard/highlight.js.git                                          $# $@
register_remote .                                                             Webcollection                            git@github.com:Webcollection/highlight.js.git                                    $# $@
register_remote .                                                             Weefa                                    git@github.com:Weefa/highlight.js.git                                            $# $@
register_remote .                                                             WongTai                                  git@github.com:WongTai/highlight.js.git                                          $# $@
register_remote .                                                             XVilka                                   git@github.com:XVilka/highlight.js.git                                           $# $@
register_remote .                                                             Xylon5                                   git@github.com:Xylon5/highlight.js.git                                           $# $@
register_remote .                                                             YasuakiHirano                            git@github.com:YasuakiHirano/highlight.js.git                                    $# $@
register_remote .                                                             YouthLab                                 git@github.com:YouthLab/highlight.js.git                                         $# $@
register_remote .                                                             YusukeHirao                              git@github.com:YusukeHirao/highlight.js.git                                      $# $@
register_remote .                                                             Yweima                                   git@github.com:Yweima/highlight.js.git                                           $# $@
register_remote .                                                             Zentelechia                              git@github.com:Zentelechia/highlight.js.git                                      $# $@
register_remote .                                                             Zig1375                                  git@github.com:Zig1375/highlight.js.git                                          $# $@
register_remote .                                                             ZitRos                                   git@github.com:ZitRos/highlight.js.git                                           $# $@
register_remote .                                                             aarondandy                               git@github.com:aarondandy/highlight.js.git                                       $# $@
register_remote .                                                             abael                                    git@github.com:abael/highlight.js.git                                            $# $@
register_remote .                                                             abaelhe                                  git@github.com:abaelhe/highlight.js.git                                          $# $@
register_remote .                                                             abe33                                    git@github.com:abe33/highlight.js.git                                            $# $@
register_remote .                                                             abhijitt                                 git@github.com:abhijitt/highlight.js.git                                         $# $@
register_remote .                                                             abhishekgahlot                           git@github.com:abhishekgahlot/highlight.js.git                                   $# $@
register_remote .                                                             abtris                                   git@github.com:abtris/highlight.js.git                                           $# $@
register_remote .                                                             acook                                    git@github.com:acook/highlight.js.git                                            $# $@
register_remote .                                                             adam-lynch                               git@github.com:adam-lynch/highlight.js.git                                       $# $@
register_remote .                                                             adamcarr                                 git@github.com:adamcarr/highlight.js.git                                         $# $@
register_remote .                                                             adamjcook                                git@github.com:adamjcook/highlight.js.git                                        $# $@
register_remote .                                                             adamstac                                 git@github.com:adamstac/highlight.js.git                                         $# $@
register_remote .                                                             adjohnson916                             git@github.com:adjohnson916/highlight.js.git                                     $# $@
register_remote .                                                             adrianolaru                              git@github.com:adrianolaru/highlight.js.git                                      $# $@
register_remote .                                                             aephynsa                                 git@github.com:aephynsa/highlight.js.git                                         $# $@
register_remote .                                                             agius                                    git@github.com:agius/highlight.js.git                                            $# $@
register_remote .                                                             aizuyan                                  git@github.com:aizuyan/highlight.js.git                                          $# $@
register_remote .                                                             ajpiano                                  git@github.com:ajpiano/highlight.js.git                                          $# $@
register_remote .                                                             ajsb85                                   git@github.com:ajsb85/highlight.js.git                                           $# $@
register_remote .                                                             akashaio                                 git@github.com:akashaio/highlight.js.git                                         $# $@
register_remote .                                                             alameya                                  git@github.com:alameya/highlight.js.git                                          $# $@
register_remote .                                                             alanghans                                git@github.com:alanghans/highlight.js.git                                        $# $@
register_remote .                                                             alecchen                                 git@github.com:alecchen/highlight.js.git                                         $# $@
register_remote .                                                             alessioalex                              git@github.com:alessioalex/highlight.js.git                                      $# $@
register_remote .                                                             alex-zhang                               git@github.com:alex-zhang/highlight.js.git                                       $# $@
register_remote .                                                             alexscg                                  git@github.com:alexscg/highlight.js.git                                          $# $@
register_remote .                                                             alextercete                              git@github.com:alextercete/highlight.js.git                                      $# $@
register_remote .                                                             alextrebolle                             git@github.com:alextrebolle/highlight.js.git                                     $# $@
register_remote .                                                             alicoding                                git@github.com:alicoding/highlight.js.git                                        $# $@
register_remote .                                                             aluusqull                                git@github.com:aluusqull/highlight.js.git                                        $# $@
register_remote .                                                             alvarotrigo                              git@github.com:alvarotrigo/highlight.js.git                                      $# $@
register_remote .                                                             alxmtv                                   git@github.com:alxmtv/highlight.js.git                                           $# $@
register_remote .                                                             amir-s                                   git@github.com:amir-s/highlight.js.git                                           $# $@
register_remote .                                                             amolofos                                 git@github.com:amolofos/highlight.js.git                                         $# $@
register_remote .                                                             amon-sha                                 git@github.com:amon-sha/highlight.js.git                                         $# $@
register_remote .                                                             anaparunov                               git@github.com:anaparunov/highlight.js.git                                       $# $@
register_remote .                                                             andont                                   git@github.com:andont/highlight.js.git                                           $# $@
register_remote .                                                             andrewks777                              git@github.com:andrewks777/highlight.js.git                                      $# $@
register_remote .                                                             andrewrk                                 git@github.com:andrewrk/highlight.js.git                                         $# $@
register_remote .                                                             andrey-gumtree                           git@github.com:andrey-gumtree/highlight.js.git                                   $# $@
register_remote .                                                             andyhmltn                                git@github.com:andyhmltn/highlight.js.git                                        $# $@
register_remote .                                                             andyhu                                   git@github.com:andyhu/highlight.js.git                                           $# $@
register_remote .                                                             angck                                    git@github.com:angck/highlight.js.git                                            $# $@
register_remote .                                                             angelausy                                git@github.com:angelausy/highlight.js.git                                        $# $@
register_remote .                                                             angelolloqui                             git@github.com:angelolloqui/highlight.js.git                                     $# $@
register_remote .                                                             angleman                                 git@github.com:angleman/highlight.js.git                                         $# $@
register_remote .                                                             antha-lang                               git@github.com:antha-lang/highlight.js.git                                       $# $@
register_remote .                                                             anthonyfok                               git@github.com:anthonyfok/highlight.js.git                                       $# $@
register_remote .                                                             antoinecellier                           git@github.com:antoinecellier/highlight.js.git                                   $# $@
register_remote .                                                             antono                                   git@github.com:antono/highlight.js.git                                           $# $@
register_remote .                                                             anushbmx                                 git@github.com:anushbmx/highlight.js.git                                         $# $@
register_remote .                                                             anvaka                                   git@github.com:anvaka/highlight.js.git                                           $# $@
register_remote .                                                             apres                                    git@github.com:apres/highlight.js.git                                            $# $@
register_remote .                                                             ar-insect                                git@github.com:ar-insect/highlight.js.git                                        $# $@
register_remote .                                                             arhibot                                  git@github.com:arhibot/highlight.js.git                                          $# $@
register_remote .                                                             aristidesstaffieri                       git@github.com:aristidesstaffieri/highlight.js.git                               $# $@
register_remote .                                                             arnoldstoba                              git@github.com:arnoldstoba/highlight.js.git                                      $# $@
register_remote .                                                             artofproblemsolving                      git@github.com:artofproblemsolving/highlight.js.git                              $# $@
register_remote .                                                             arximboldi                               git@github.com:arximboldi/highlight.js.git                                       $# $@
register_remote .                                                             ashismo                                  git@github.com:ashismo/highlight.js.git                                          $# $@
register_remote .                                                             ashutoshlr                               git@github.com:ashutoshlr/highlight.js.git                                       $# $@
register_remote .                                                             astampoulis                              git@github.com:astampoulis/highlight.js.git                                      $# $@
register_remote .                                                             astridliu                                git@github.com:astridliu/highlight.js.git                                        $# $@
register_remote .                                                             atelierbram                              git@github.com:atelierbram/highlight.js.git                                      $# $@
register_remote .                                                             auge8472                                 git@github.com:auge8472/highlight.js.git                                         $# $@
register_remote .                                                             augur521                                 git@github.com:augur521/highlight.js.git                                         $# $@
register_remote .                                                             aurusov                                  git@github.com:aurusov/highlight.js.git                                          $# $@
register_remote .                                                             aw5186                                   git@github.com:aw5186/highlight.js.git                                           $# $@
register_remote .                                                             axter                                    git@github.com:axter/highlight.js.git                                            $# $@
register_remote .                                                             ayaamrajput                              git@github.com:ayaamrajput/highlight.js.git                                      $# $@
register_remote .                                                             b-pos465                                 git@github.com:b-pos465/highlight.js.git                                         $# $@
register_remote .                                                             bairuiworld                              git@github.com:bairuiworld/highlight.js.git                                      $# $@
register_remote .                                                             balabalababala                           git@github.com:balabalababala/highlight.js.git                                   $# $@
register_remote .                                                             balopat                                  git@github.com:balopat/highlight.js.git                                          $# $@
register_remote .                                                             bbradbury                                git@github.com:bbradbury/highlight.js.git                                        $# $@
register_remote .                                                             be5invis                                 git@github.com:be5invis/highlight.js.git                                         $# $@
register_remote .                                                             beausmith                                git@github.com:beausmith/highlight.js.git                                        $# $@
register_remote .                                                             beingsane                                git@github.com:beingsane/highlight.js.git                                        $# $@
register_remote .                                                             belyanskii                               git@github.com:belyanskii/highlight.js.git                                       $# $@
register_remote .                                                             bertvh                                   git@github.com:bertvh/highlight.js.git                                           $# $@
register_remote .                                                             bfui                                     git@github.com:bfui/highlight.js.git                                             $# $@
register_remote .                                                             bharat-dpd                               git@github.com:bharat-dpd/highlight.js.git                                       $# $@
register_remote .                                                             bicycle1885                              git@github.com:bicycle1885/highlight.js.git                                      $# $@
register_remote .                                                             binford2k                                git@github.com:binford2k/highlight.js.git                                        $# $@
register_remote .                                                             binocarlos                               git@github.com:binocarlos/highlight.js.git                                       $# $@
register_remote .                                                             bjmorgan                                 git@github.com:bjmorgan/highlight.js.git                                         $# $@
register_remote .                                                             blakeembrey                              git@github.com:blakeembrey/highlight.js.git                                      $# $@
register_remote .                                                             bmatusiak                                git@github.com:bmatusiak/highlight.js.git                                        $# $@
register_remote .                                                             bogachev-pa                              git@github.com:bogachev-pa/highlight.js.git                                      $# $@
register_remote .                                                             booo                                     git@github.com:booo/highlight.js.git                                             $# $@
register_remote .                                                             boutil                                   git@github.com:boutil/highlight.js.git                                           $# $@
register_remote .                                                             bowenli37                                git@github.com:bowenli37/highlight.js.git                                        $# $@
register_remote .                                                             bquistorff                               git@github.com:bquistorff/highlight.js.git                                       $# $@
register_remote .                                                             brainTrain                               git@github.com:brainTrain/highlight.js.git                                       $# $@
register_remote .                                                             brainmurder                              git@github.com:brainmurder/highlight.js.git                                      $# $@
register_remote .                                                             brandoncopeland                          git@github.com:brandoncopeland/highlight.js.git                                  $# $@
register_remote .                                                             brendan-r                                git@github.com:brendan-r/highlight.js.git                                        $# $@
register_remote .                                                             brennced                                 git@github.com:brennced/highlight.js.git                                         $# $@
register_remote .                                                             brentvatne                               git@github.com:brentvatne/highlight.js.git                                       $# $@
register_remote .                                                             briancavalier                            git@github.com:briancavalier/highlight.js.git                                    $# $@
register_remote .                                                             briangreenery                            git@github.com:briangreenery/highlight.js.git                                    $# $@
register_remote .                                                             brianwang                                git@github.com:brianwang/highlight.js.git                                        $# $@
register_remote .                                                             bschwanke                                git@github.com:bschwanke/highlight.js.git                                        $# $@
register_remote .                                                             bstahlhood                               git@github.com:bstahlhood/highlight.js.git                                       $# $@
register_remote .                                                             btd                                      git@github.com:btd/highlight.js.git                                              $# $@
register_remote .                                                             buddhists                                git@github.com:buddhists/highlight.js.git                                        $# $@
register_remote .                                                             buildersbrewery                          git@github.com:buildersbrewery/highlight.js.git                                  $# $@
register_remote .                                                             burczyk                                  git@github.com:burczyk/highlight.js.git                                          $# $@
register_remote .                                                             bweir                                    git@github.com:bweir/highlight.js.git                                            $# $@
register_remote .                                                             c-rack                                   git@github.com:c-rack/highlight.js.git                                           $# $@
register_remote .                                                             c3d                                      git@github.com:c3d/highlight.js.git                                              $# $@
register_remote .                                                             calvinjuarez                             git@github.com:calvinjuarez/highlight.js.git                                     $# $@
register_remote .                                                             caolan                                   git@github.com:caolan/highlight.js.git                                           $# $@
register_remote .                                                             carlokok                                 git@github.com:carlokok/highlight.js.git                                         $# $@
register_remote .                                                             cascadian                                git@github.com:cascadian/highlight.js.git                                        $# $@
register_remote .                                                             cassioiks                                git@github.com:cassioiks/highlight.js.git                                        $# $@
register_remote .                                                             cdht                                     git@github.com:cdht/highlight.js.git                                             $# $@
register_remote .                                                             cduruk                                   git@github.com:cduruk/highlight.js.git                                           $# $@
register_remote .                                                             cedrics                                  git@github.com:cedrics/highlight.js.git                                          $# $@
register_remote .                                                             cha63506                                 git@github.com:cha63506/highlight.js.git                                         $# $@
register_remote .                                                             changfengliu                             git@github.com:changfengliu/highlight.js.git                                     $# $@
register_remote .                                                             charles-cai                              git@github.com:charles-cai/highlight.js.git                                      $# $@
register_remote .                                                             charreal                                 git@github.com:charreal/highlight.js.git                                         $# $@
register_remote .                                                             chchchchchchch                           git@github.com:chchchchchchch/highlight.js.git                                   $# $@
register_remote .                                                             chefedited                               git@github.com:chefedited/highlight.js.git                                       $# $@
register_remote .                                                             chenbinqun                               git@github.com:chenbinqun/highlight.js.git                                       $# $@
register_remote .                                                             chenruixuan                              git@github.com:chenruixuan/highlight.js.git                                      $# $@
register_remote .                                                             cheshrkat                                git@github.com:cheshrkat/highlight.js.git                                        $# $@
register_remote .                                                             chhyx2008                                git@github.com:chhyx2008/highlight.js.git                                        $# $@
register_remote .                                                             chikkun                                  git@github.com:chikkun/highlight.js.git                                          $# $@
register_remote .                                                             chrisVdd                                 git@github.com:chrisVdd/highlight.js.git                                         $# $@
register_remote .                                                             chriseidhof                              git@github.com:chriseidhof/highlight.js.git                                      $# $@
register_remote .                                                             chrisgfortes                             git@github.com:chrisgfortes/highlight.js.git                                     $# $@
register_remote .                                                             chriskiehl                               git@github.com:chriskiehl/highlight.js.git                                       $# $@
register_remote .                                                             christoffer                              git@github.com:christoffer/highlight.js.git                                      $# $@
register_remote .                                                             christop                                 git@github.com:christop/highlight.js.git                                         $# $@
register_remote .                                                             chrisunshine                             git@github.com:chrisunshine/highlight.js.git                                     $# $@
register_remote .                                                             chu888chu888                             git@github.com:chu888chu888/highlight.js.git                                     $# $@
register_remote .                                                             cia-backup                               git@github.com:cia-backup/highlight.js.git                                       $# $@
register_remote .                                                             cicorias                                 git@github.com:cicorias/highlight.js.git                                         $# $@
register_remote .                                                             ciroyong                                 git@github.com:ciroyong/highlight.js.git                                         $# $@
register_remote .                                                             citizenmatt                              git@github.com:citizenmatt/highlight.js.git                                      $# $@
register_remote .                                                             cjl3230                                  git@github.com:cjl3230/highlight.js.git                                          $# $@
register_remote .                                                             ckdur                                    git@github.com:ckdur/highlight.js.git                                            $# $@
register_remote .                                                             clarkparsia                              git@github.com:clarkparsia/highlight.js.git                                      $# $@
register_remote .                                                             claudiopro                               git@github.com:claudiopro/highlight.js.git                                       $# $@
register_remote .                                                             clipperhouse                             git@github.com:clipperhouse/highlight.js.git                                     $# $@
register_remote .                                                             cmcneal                                  git@github.com:cmcneal/highlight.js.git                                          $# $@
register_remote .                                                             cnc-club                                 git@github.com:cnc-club/highlight.js.git                                         $# $@
register_remote .                                                             cnlgych                                  git@github.com:cnlgych/highlight.js.git                                          $# $@
register_remote .                                                             cnphplib                                 git@github.com:cnphplib/highlight.js.git                                         $# $@
register_remote .                                                             coagulant                                git@github.com:coagulant/highlight.js.git                                        $# $@
register_remote .                                                             code0x14                                 git@github.com:code0x14/highlight.js.git                                         $# $@
register_remote .                                                             coding-abap                              git@github.com:coding-abap/highlight.js.git                                      $# $@
register_remote .                                                             colinjoy                                 git@github.com:colinjoy/highlight.js.git                                         $# $@
register_remote .                                                             condemil                                 git@github.com:condemil/highlight.js.git                                         $# $@
register_remote .                                                             coreyward                                git@github.com:coreyward/highlight.js.git                                        $# $@
register_remote .                                                             cousine                                  git@github.com:cousine/highlight.js.git                                          $# $@
register_remote .                                                             craftyjon                                git@github.com:craftyjon/highlight.js.git                                        $# $@
register_remote .                                                             craveytrain                              git@github.com:craveytrain/highlight.js.git                                      $# $@
register_remote .                                                             cristianosistemas                        git@github.com:cristianosistemas/highlight.js.git                                $# $@
register_remote .                                                             ctcoding                                 git@github.com:ctcoding/highlight.js.git                                         $# $@
register_remote .                                                             cupof-github                             git@github.com:cupof-github/highlight.js.git                                     $# $@
register_remote .                                                             curasystems                              git@github.com:curasystems/highlight.js.git                                      $# $@
register_remote .                                                             cwoodley                                 git@github.com:cwoodley/highlight.js.git                                         $# $@
register_remote .                                                             cy6erGn0m                                git@github.com:cy6erGn0m/highlight.js.git                                        $# $@
register_remote .                                                             dYale                                    git@github.com:dYale/highlight.js.git                                            $# $@
register_remote .                                                             daaaqi                                   git@github.com:daaaqi/highlight.js.git                                           $# $@
register_remote .                                                             dahakawang                               git@github.com:dahakawang/highlight.js.git                                       $# $@
register_remote .                                                             daimor                                   git@github.com:daimor/highlight.js.git                                           $# $@
register_remote .                                                             danburk10                                git@github.com:danburk10/highlight.js.git                                        $# $@
register_remote .                                                             danielhaim1                              git@github.com:danielhaim1/highlight.js.git                                      $# $@
register_remote .                                                             danielkho                                git@github.com:danielkho/highlight.js.git                                        $# $@
register_remote .                                                             danielnovy                               git@github.com:danielnovy/highlight.js.git                                       $# $@
register_remote .                                                             danquirk                                 git@github.com:danquirk/highlight.js.git                                         $# $@
register_remote .                                                             danvk                                    git@github.com:danvk/highlight.js.git                                            $# $@
register_remote .                                                             darach                                   git@github.com:darach/highlight.js.git                                           $# $@
register_remote .                                                             davej                                    git@github.com:davej/highlight.js.git                                            $# $@
register_remote .                                                             davesilva                                git@github.com:davesilva/highlight.js.git                                        $# $@
register_remote .                                                             davetron5000                             git@github.com:davetron5000/highlight.js.git                                     $# $@
register_remote .                                                             davgit                                   git@github.com:davgit/highlight.js.git                                           $# $@
register_remote .                                                             david-morn                               git@github.com:david-morn/highlight.js.git                                       $# $@
register_remote .                                                             db-tech                                  git@github.com:db-tech/highlight.js.git                                          $# $@
register_remote .                                                             dbabaioff                                git@github.com:dbabaioff/highlight.js.git                                        $# $@
register_remote .                                                             dbkaplun                                 git@github.com:dbkaplun/highlight.js.git                                         $# $@
register_remote .                                                             debmzhang                                git@github.com:debmzhang/highlight.js.git                                        $# $@
register_remote .                                                             defcc                                    git@github.com:defcc/highlight.js.git                                            $# $@
register_remote .                                                             defunctzombie                            git@github.com:defunctzombie/highlight.js.git                                    $# $@
register_remote .                                                             delebash                                 git@github.com:delebash/highlight.js.git                                         $# $@
register_remote .                                                             deliangyang                              git@github.com:deliangyang/highlight.js.git                                      $# $@
register_remote .                                                             dellirom                                 git@github.com:dellirom/highlight.js.git                                         $# $@
register_remote .                                                             demitri                                  git@github.com:demitri/highlight.js.git                                          $# $@
register_remote .                                                             demix                                    git@github.com:demix/highlight.js.git                                            $# $@
register_remote .                                                             dentuzhik                                git@github.com:dentuzhik/highlight.js.git                                        $# $@
register_remote .                                                             derekey                                  git@github.com:derekey/highlight.js.git                                          $# $@
register_remote .                                                             devmario                                 git@github.com:devmario/highlight.js.git                                         $# $@
register_remote .                                                             devolonter                               git@github.com:devolonter/highlight.js.git                                       $# $@
register_remote .                                                             dgeb                                     git@github.com:dgeb/highlight.js.git                                             $# $@
register_remote .                                                             dgoldie                                  git@github.com:dgoldie/highlight.js.git                                          $# $@
register_remote .                                                             dikmax                                   git@github.com:dikmax/highlight.js.git                                           $# $@
register_remote .                                                             dimsmol                                  git@github.com:dimsmol/highlight.js.git                                          $# $@
register_remote .                                                             dineshkummarc                            git@github.com:dineshkummarc/highlight.js.git                                    $# $@
register_remote .                                                             dirkk                                    git@github.com:dirkk/highlight.js.git                                            $# $@
register_remote .                                                             djak35                                   git@github.com:djak35/highlight.js.git                                           $# $@
register_remote .                                                             dkorczynski                              git@github.com:dkorczynski/highlight.js.git                                      $# $@
register_remote .                                                             dkvasnicka                               git@github.com:dkvasnicka/highlight.js.git                                       $# $@
register_remote .                                                             dleehr                                   git@github.com:dleehr/highlight.js.git                                           $# $@
register_remote .                                                             dlimpid                                  git@github.com:dlimpid/highlight.js.git                                          $# $@
register_remote .                                                             dllglishaoyi                             git@github.com:dllglishaoyi/highlight.js.git                                     $# $@
register_remote .                                                             dlwilson88                               git@github.com:dlwilson88/highlight.js.git                                       $# $@
register_remote .                                                             dmalan                                   git@github.com:dmalan/highlight.js.git                                           $# $@
register_remote .                                                             dmedvinsky                               git@github.com:dmedvinsky/highlight.js.git                                       $# $@
register_remote .                                                             dmikis                                   git@github.com:dmikis/highlight.js.git                                           $# $@
register_remote .                                                             dnagir                                   git@github.com:dnagir/highlight.js.git                                           $# $@
register_remote .                                                             domenkozar                               git@github.com:domenkozar/highlight.js.git                                       $# $@
register_remote .                                                             doortts                                  git@github.com:doortts/highlight.js.git                                          $# $@
register_remote .                                                             dotandimet                               git@github.com:dotandimet/highlight.js.git                                       $# $@
register_remote .                                                             dougalcorn                               git@github.com:dougalcorn/highlight.js.git                                       $# $@
register_remote .                                                             drbig                                    git@github.com:drbig/highlight.js.git                                            $# $@
register_remote .                                                             drdrang                                  git@github.com:drdrang/highlight.js.git                                          $# $@
register_remote .                                                             dreamsxin                                git@github.com:dreamsxin/highlight.js.git                                        $# $@
register_remote .                                                             drmohundro                               git@github.com:drmohundro/highlight.js.git                                       $# $@
register_remote .                                                             drupaltr                                 git@github.com:drupaltr/highlight.js.git                                         $# $@
register_remote .                                                             dsdstudio                                git@github.com:dsdstudio/highlight.js.git                                        $# $@
register_remote .                                                             dsymquen                                 git@github.com:dsymquen/highlight.js.git                                         $# $@
register_remote .                                                             dtao                                     git@github.com:dtao/highlight.js.git                                             $# $@
register_remote .                                                             dtemesi                                  git@github.com:dtemesi/highlight.js.git                                          $# $@
register_remote .                                                             dublebuble                               git@github.com:dublebuble/highlight.js.git                                       $# $@
register_remote .                                                             duckster                                 git@github.com:duckster/highlight.js.git                                         $# $@
register_remote .                                                             dwilkie                                  git@github.com:dwilkie/highlight.js.git                                          $# $@
register_remote .                                                             dx285                                    git@github.com:dx285/highlight.js.git                                            $# $@
register_remote .                                                             dxjia                                    git@github.com:dxjia/highlight.js.git                                            $# $@
register_remote .                                                             dylannnn                                 git@github.com:dylannnn/highlight.js.git                                         $# $@
register_remote .                                                             dyulei                                   git@github.com:dyulei/highlight.js.git                                           $# $@
register_remote .                                                             ebm42                                    git@github.com:ebm42/highlight.js.git                                            $# $@
register_remote .                                                             edalorzo                                 git@github.com:edalorzo/highlight.js.git                                         $# $@
register_remote .                                                             edanchenkov                              git@github.com:edanchenkov/highlight.js.git                                      $# $@
register_remote .                                                             edipofederle                             git@github.com:edipofederle/highlight.js.git                                     $# $@
register_remote .                                                             edmz                                     git@github.com:edmz/highlight.js.git                                             $# $@
register_remote .                                                             eemeli                                   git@github.com:eemeli/highlight.js.git                                           $# $@
register_remote .                                                             efine                                    git@github.com:efine/highlight.js.git                                            $# $@
register_remote .                                                             ehornbostel                              git@github.com:ehornbostel/highlight.js.git                                      $# $@
register_remote .                                                             eksperimental                            git@github.com:eksperimental/highlight.js.git                                    $# $@
register_remote .                                                             elasticweb                               git@github.com:elasticweb/highlight.js.git                                       $# $@
register_remote .                                                             emersion                                 git@github.com:emersion/highlight.js.git                                         $# $@
register_remote .                                                             emmanuelidi                              git@github.com:emmanuelidi/highlight.js.git                                      $# $@
register_remote .                                                             enko                                     git@github.com:enko/highlight.js.git                                             $# $@
register_remote .                                                             eppsilon                                 git@github.com:eppsilon/highlight.js.git                                         $# $@
register_remote .                                                             er1z                                     git@github.com:er1z/highlight.js.git                                             $# $@
register_remote .                                                             erez-o                                   git@github.com:erez-o/highlight.js.git                                           $# $@
register_remote .                                                             ericls                                   git@github.com:ericls/highlight.js.git                                           $# $@
register_remote .                                                             ericvandever                             git@github.com:ericvandever/highlight.js.git                                     $# $@
register_remote .                                                             error418                                 git@github.com:error418/highlight.js.git                                         $# $@
register_remote .                                                             eternalsky                               git@github.com:eternalsky/highlight.js.git                                       $# $@
register_remote .                                                             evanlucas                                git@github.com:evanlucas/highlight.js.git                                        $# $@
register_remote .                                                             evenloooo                                git@github.com:evenloooo/highlight.js.git                                        $# $@
register_remote .                                                             eviltrout                                git@github.com:eviltrout/highlight.js.git                                        $# $@
register_remote .                                                             ewqasd200g                               git@github.com:ewqasd200g/highlight.js.git                                       $# $@
register_remote .                                                             exexzian                                 git@github.com:exexzian/highlight.js.git                                         $# $@
register_remote .                                                             ezos86                                   git@github.com:ezos86/highlight.js.git                                           $# $@
register_remote .                                                             fabgithub                                git@github.com:fabgithub/highlight.js.git                                        $# $@
register_remote .                                                             faboo                                    git@github.com:faboo/highlight.js.git                                            $# $@
register_remote .                                                             fabriciotav                              git@github.com:fabriciotav/highlight.js.git                                      $# $@
register_remote .                                                             failpunk                                 git@github.com:failpunk/highlight.js.git                                         $# $@
register_remote .                                                             faloi                                    git@github.com:faloi/highlight.js.git                                            $# $@
register_remote .                                                             fatjyc                                   git@github.com:fatjyc/highlight.js.git                                           $# $@
register_remote .                                                             fay-jai                                  git@github.com:fay-jai/highlight.js.git                                          $# $@
register_remote .                                                             fdwl                                     git@github.com:fdwl/highlight.js.git                                             $# $@
register_remote .                                                             felixrieseberg                           git@github.com:felixrieseberg/highlight.js.git                                   $# $@
register_remote .                                                             fengkar                                  git@github.com:fengkar/highlight.js.git                                          $# $@
register_remote .                                                             feuerwelt                                git@github.com:feuerwelt/highlight.js.git                                        $# $@
register_remote .                                                             fgwei                                    git@github.com:fgwei/highlight.js.git                                            $# $@
register_remote .                                                             fhahn                                    git@github.com:fhahn/highlight.js.git                                            $# $@
register_remote .                                                             fhchina                                  git@github.com:fhchina/highlight.js.git                                          $# $@
register_remote .                                                             fivetip                                  git@github.com:fivetip/highlight.js.git                                          $# $@
register_remote .                                                             fjxhkj                                   git@github.com:fjxhkj/highlight.js.git                                           $# $@
register_remote .                                                             follesoe                                 git@github.com:follesoe/highlight.js.git                                         $# $@
register_remote .                                                             fototo                                   git@github.com:fototo/highlight.js.git                                           $# $@
register_remote .                                                             frangucc                                 git@github.com:frangucc/highlight.js.git                                         $# $@
register_remote .                                                             freeyiyi1993                             git@github.com:freeyiyi1993/highlight.js.git                                     $# $@
register_remote .                                                             frigus02                                 git@github.com:frigus02/highlight.js.git                                         $# $@
register_remote .                                                             fvena                                    git@github.com:fvena/highlight.js.git                                            $# $@
register_remote .                                                             fvoges                                   git@github.com:fvoges/highlight.js.git                                           $# $@
register_remote .                                                             fwon                                     git@github.com:fwon/highlight.js.git                                             $# $@
register_remote .                                                             fyddaben                                 git@github.com:fyddaben/highlight.js.git                                         $# $@
register_remote .                                                             g8tguy                                   git@github.com:g8tguy/highlight.js.git                                           $# $@
register_remote .                                                             gcamrit                                  git@github.com:gcamrit/highlight.js.git                                          $# $@
register_remote .                                                             gceylan                                  git@github.com:gceylan/highlight.js.git                                          $# $@
register_remote .                                                             gear4s                                   git@github.com:gear4s/highlight.js.git                                           $# $@
register_remote .                                                             generalhenry                             git@github.com:generalhenry/highlight.js.git                                     $# $@
register_remote .                                                             gerzhan                                  git@github.com:gerzhan/highlight.js.git                                          $# $@
register_remote .                                                             ghyde                                    git@github.com:ghyde/highlight.js.git                                            $# $@
register_remote .                                                             gildorwang                               git@github.com:gildorwang/highlight.js.git                                       $# $@
register_remote .                                                             gilles-hemmerle                          git@github.com:gilles-hemmerle/highlight.js.git                                  $# $@
register_remote .                                                             gitterHQ                                 git@github.com:gitterHQ/highlight.js.git                                         $# $@
register_remote .                                                             gitzhx                                   git@github.com:gitzhx/highlight.js.git                                           $# $@
register_remote .                                                             glaforge                                 git@github.com:glaforge/highlight.js.git                                         $# $@
register_remote .                                                             glantucan                                git@github.com:glantucan/highlight.js.git                                        $# $@
register_remote .                                                             gloparco                                 git@github.com:gloparco/highlight.js.git                                         $# $@
register_remote .                                                             goalall                                  git@github.com:goalall/highlight.js.git                                          $# $@
register_remote .                                                             gockxml                                  git@github.com:gockxml/highlight.js.git                                          $# $@
register_remote .                                                             golyshevd                                git@github.com:golyshevd/highlight.js.git                                        $# $@
register_remote .                                                             gosquared                                git@github.com:gosquared/highlight.js.git                                        $# $@
register_remote .                                                             graphistry                               git@github.com:graphistry/highlight.js.git                                       $# $@
register_remote .                                                             greg80303                                git@github.com:greg80303/highlight.js.git                                        $# $@
register_remote .                                                             grigio                                   git@github.com:grigio/highlight.js.git                                           $# $@
register_remote .                                                             gritzko                                  git@github.com:gritzko/highlight.js.git                                          $# $@
register_remote .                                                             gtanguay                                 git@github.com:gtanguay/highlight.js.git                                         $# $@
register_remote .                                                             guileen                                  git@github.com:guileen/highlight.js.git                                          $# $@
register_remote .                                                             guiyanakuang                             git@github.com:guiyanakuang/highlight.js.git                                     $# $@
register_remote .                                                             gunins                                   git@github.com:gunins/highlight.js.git                                           $# $@
register_remote .                                                             gurucomkz                                git@github.com:gurucomkz/highlight.js.git                                        $# $@
register_remote .                                                             h1soft                                   git@github.com:h1soft/highlight.js.git                                           $# $@
register_remote .                                                             h2non                                    git@github.com:h2non/highlight.js.git                                            $# $@
register_remote .                                                             haf                                      git@github.com:haf/highlight.js.git                                              $# $@
register_remote .                                                             hafizuddin                               git@github.com:hafizuddin/highlight.js.git                                       $# $@
register_remote .                                                             haichong0813                             git@github.com:haichong0813/highlight.js.git                                     $# $@
register_remote .                                                             hatch2                                   git@github.com:hatch2/highlight.js.git                                           $# $@
register_remote .                                                             hayeah                                   git@github.com:hayeah/highlight.js.git                                           $# $@
register_remote .                                                             hbh112233abc                             git@github.com:hbh112233abc/highlight.js.git                                     $# $@
register_remote .                                                             hbrysiewicz                              git@github.com:hbrysiewicz/highlight.js.git                                      $# $@
register_remote .                                                             hcxiong                                  git@github.com:hcxiong/highlight.js.git                                          $# $@
register_remote .                                                             he3210                                   git@github.com:he3210/highlight.js.git                                           $# $@
register_remote .                                                             helderdarocha                            git@github.com:helderdarocha/highlight.js.git                                    $# $@
register_remote .                                                             heliar-mk                                git@github.com:heliar-mk/highlight.js.git                                        $# $@
register_remote .                                                             helloqingbing                            git@github.com:helloqingbing/highlight.js.git                                    $# $@
register_remote .                                                             hemraker                                 git@github.com:hemraker/highlight.js.git                                         $# $@
register_remote .                                                             hendriono                                git@github.com:hendriono/highlight.js.git                                        $# $@
register_remote .                                                             henriquebastos                           git@github.com:henriquebastos/highlight.js.git                                   $# $@
register_remote .                                                             hero76                                   git@github.com:hero76/highlight.js.git                                           $# $@
register_remote .                                                             hezc                                     git@github.com:hezc/highlight.js.git                                             $# $@
register_remote .                                                             hgopi                                    git@github.com:hgopi/highlight.js.git                                            $# $@
register_remote .                                                             hitsthings                               git@github.com:hitsthings/highlight.js.git                                       $# $@
register_remote .                                                             hkb                                      git@github.com:hkb/highlight.js.git                                              $# $@
register_remote .                                                             hkoba                                    git@github.com:hkoba/highlight.js.git                                            $# $@
register_remote .                                                             honomoa                                  git@github.com:honomoa/highlight.js.git                                          $# $@
register_remote .                                                             huajia                                   git@github.com:huajia/highlight.js.git                                           $# $@
register_remote .                                                             huangzhipeng                             git@github.com:huangzhipeng/highlight.js.git                                     $# $@
register_remote .                                                             huati365                                 git@github.com:huati365/highlight.js.git                                         $# $@
register_remote .                                                             hubgit                                   git@github.com:hubgit/highlight.js.git                                           $# $@
register_remote .                                                             huchengtw                                git@github.com:huchengtw/highlight.js.git                                        $# $@
register_remote .                                                             huntervwang                              git@github.com:huntervwang/highlight.js.git                                      $# $@
register_remote .                                                             hupy                                     git@github.com:hupy/highlight.js.git                                             $# $@
register_remote .                                                             hurrymaplelad                            git@github.com:hurrymaplelad/highlight.js.git                                    $# $@
register_remote .                                                             hymersm                                  git@github.com:hymersm/highlight.js.git                                          $# $@
register_remote .                                                             iHiD                                     git@github.com:iHiD/highlight.js.git                                             $# $@
register_remote .                                                             iOctocat                                 git@github.com:iOctocat/highlight.js.git                                         $# $@
register_remote .                                                             iceraj                                   git@github.com:iceraj/highlight.js.git                                           $# $@
register_remote .                                                             ich                                      git@github.com:ich/highlight.cs.git                                              $# $@
register_remote .                                                             idao                                     git@github.com:idao/highlight.js.git                                             $# $@
register_remote .                                                             idleberg                                 git@github.com:idleberg/highlight.js.git                                         $# $@
register_remote .                                                             ifa6                                     git@github.com:ifa6/highlight.js.git                                             $# $@
register_remote .                                                             igolka97                                 git@github.com:igolka97/highlight.js.git                                         $# $@
register_remote .                                                             igorw-forks                              git@github.com:igorw-forks/highlight.js.git                                      $# $@
register_remote .                                                             ikhattab                                 git@github.com:ikhattab/highlight.js.git                                         $# $@
register_remote .                                                             ilkerkurtel                              git@github.com:ilkerkurtel/highlight.js.git                                      $# $@
register_remote .                                                             ilovezy                                  git@github.com:ilovezy/highlight.js.git                                          $# $@
register_remote .                                                             imkevinyang                              git@github.com:imkevinyang/highlight.js.git                                      $# $@
register_remote .                                                             improvedk                                git@github.com:improvedk/highlight.js.git                                        $# $@
register_remote .                                                             infantiablue                             git@github.com:infantiablue/highlight.js.git                                     $# $@
register_remote .                                                             influx6                                  git@github.com:influx6/highlight.js.git                                          $# $@
register_remote .                                                             innocenat                                git@github.com:innocenat/highlight.js.git                                        $# $@
register_remote .                                                             insertjokehere                           git@github.com:insertjokehere/highlight.js.git                                   $# $@
register_remote .                                                             inspireso                                git@github.com:inspireso/highlight.js.git                                        $# $@
register_remote .                                                             intersystems-ru                          git@github.com:intersystems-ru/highlight.js.git                                  $# $@
register_remote .                                                             iominh                                   git@github.com:iominh/highlight.js.git                                           $# $@
register_remote .                                                             ioncreature                              git@github.com:ioncreature/highlight.js.git                                      $# $@
register_remote .                                                             irwinai                                  git@github.com:irwinai/highlight.js.git                                          $# $@
register_remote .                                                             isagalaev                                git@github.com:isagalaev/highlight.js.git                                        $# $@
register_remote .                                                             isagalaev-original                       git@github.com:isagalaev/highlight.js.git                                        $# $@
register_remote .                                                             iskaron                                  git@github.com:iskaron/highlight.js.git                                          $# $@
register_remote .                                                             it-enthusiast                            git@github.com:it-enthusiast/highlight.js.git                                    $# $@
register_remote .                                                             itmyprofession                           git@github.com:itmyprofession/highlight.js.git                                   $# $@
register_remote .                                                             itsjoesullivan                           git@github.com:itsjoesullivan/highlight.js.git                                   $# $@
register_remote .                                                             ivanStraltsou                            git@github.com:ivanStraltsou/highlight.js.git                                    $# $@
register_remote .                                                             ivanovsuper                              git@github.com:ivanovsuper/highlight.js.git                                      $# $@
register_remote .                                                             ixalender                                git@github.com:ixalender/highlight.js.git                                        $# $@
register_remote .                                                             izaakschroeder                           git@github.com:izaakschroeder/highlight.js.git                                   $# $@
register_remote .                                                             jHoldroyd                                git@github.com:jHoldroyd/highlight.js.git                                        $# $@
register_remote .                                                             jacekjarzab                              git@github.com:jacekjarzab/highlight.js.git                                      $# $@
register_remote .                                                             jacky1988li                              git@github.com:jacky1988li/highlight.js.git                                      $# $@
register_remote .                                                             jackycute                                git@github.com:jackycute/highlight.js.git                                        $# $@
register_remote .                                                             jacobking                                git@github.com:jacobking/highlight.js.git                                        $# $@
register_remote .                                                             jaguaryang                               git@github.com:jaguaryang/highlight.js.git                                       $# $@
register_remote .                                                             jairzh                                   git@github.com:jairzh/highlight.js.git                                           $# $@
register_remote .                                                             jamesgcsheil                             git@github.com:jamesgcsheil/highlight.js.git                                     $# $@
register_remote .                                                             jamesiarmes                              git@github.com:jamesiarmes/highlight.js.git                                      $# $@
register_remote .                                                             jamesruan                                git@github.com:jamesruan/highlight.js.git                                        $# $@
register_remote .                                                             jay16                                    git@github.com:jay16/highlight.js.git                                            $# $@
register_remote .                                                             jayce7                                   git@github.com:jayce7/highlight.js.git                                           $# $@
register_remote .                                                             jcowgar                                  git@github.com:jcowgar/highlight.js.git                                          $# $@
register_remote .                                                             jdagerot                                 git@github.com:jdagerot/highlight.js.git                                         $# $@
register_remote .                                                             jean                                     git@github.com:jean/highlight.js.git                                             $# $@
register_remote .                                                             jeffkreeftmeijer                         git@github.com:jeffkreeftmeijer/highlight.js.git                                 $# $@
register_remote .                                                             jeffreywugz                              git@github.com:jeffreywugz/highlight.js.git                                      $# $@
register_remote .                                                             jemmeliCss                               git@github.com:jemmeliCss/highlight.js.git                                       $# $@
register_remote .                                                             jeremysd99                               git@github.com:jeremysd99/highlight.js.git                                       $# $@
register_remote .                                                             jerryzhang414                            git@github.com:jerryzhang414/highlight.js.git                                    $# $@
register_remote .                                                             jescalan                                 git@github.com:jescalan/highlight.js.git                                         $# $@
register_remote .                                                             jf990                                    git@github.com:jf990/highlight.js.git                                            $# $@
register_remote .                                                             jgallen23                                git@github.com:jgallen23/highlight.js.git                                        $# $@
register_remote .                                                             jghaines                                 git@github.com:jghaines/highlight.js.git                                         $# $@
register_remote .                                                             jherax                                   git@github.com:jherax/highlight.js.git                                           $# $@
register_remote .                                                             jindw                                    git@github.com:jindw/highlight.js.git                                            $# $@
register_remote .                                                             jinghm318                                git@github.com:jinghm318/highlight.js.git                                        $# $@
register_remote .                                                             jjones-jr                                git@github.com:jjones-jr/highlight.js.git                                        $# $@
register_remote .                                                             jkelleher                                git@github.com:jkelleher/highlight.js.git                                        $# $@
register_remote .                                                             jkgeyti                                  git@github.com:jkgeyti/highlight.js.git                                          $# $@
register_remote .                                                             jkso                                     git@github.com:jkso/highlight.js.git                                             $# $@
register_remote .                                                             jlblcc                                   git@github.com:jlblcc/highlight.js.git                                           $# $@
register_remote .                                                             jmpp                                     git@github.com:jmpp/highlight.js.git                                             $# $@
register_remote .                                                             jocelyn                                  git@github.com:jocelyn/highlight.js.git                                          $# $@
register_remote .                                                             joeandaverde                             git@github.com:joeandaverde/highlight.js.git                                     $# $@
register_remote .                                                             joegatt                                  git@github.com:joegatt/highlight.js.git                                          $# $@
register_remote .                                                             joeldom                                  git@github.com:joeldom/highlight.js.git                                          $# $@
register_remote .                                                             joelibaceta                              git@github.com:joelibaceta/highlight.js.git                                      $# $@
register_remote .                                                             joetidwell                               git@github.com:joetidwell/highlight.js.git                                       $# $@
register_remote .                                                             johnnyeric                               git@github.com:johnnyeric/highlight.js.git                                       $# $@
register_remote .                                                             johnsimons                               git@github.com:johnsimons/highlight.js.git                                       $# $@
register_remote .                                                             jonathanong                              git@github.com:jonathanong/highlight.js.git                                      $# $@
register_remote .                                                             joshdeanmcdonald                         git@github.com:joshdeanmcdonald/highlight.js.git                                 $# $@
register_remote .                                                             joshuapekera                             git@github.com:joshuapekera/highlight.js.git                                     $# $@
register_remote .                                                             joyqi                                    git@github.com:joyqi/highlight.js.git                                            $# $@
register_remote .                                                             jphautin                                 git@github.com:jphautin/highlight.js.git                                         $# $@
register_remote .                                                             jponelat                                 git@github.com:jponelat/highlight.js.git                                         $# $@
register_remote .                                                             jpverkamp                                git@github.com:jpverkamp/highlight.js.git                                        $# $@
register_remote .                                                             jsk336                                   git@github.com:jsk336/highlight.js.git                                           $# $@
register_remote .                                                             jtraver                                  git@github.com:jtraver/highlight.js.git                                          $# $@
register_remote .                                                             junhsieh                                 git@github.com:junhsieh/highlight.js.git                                         $# $@
register_remote .                                                             justfielding                             git@github.com:justfielding/highlight.js.git                                     $# $@
register_remote .                                                             jxent                                    git@github.com:jxent/highlight.js.git                                            $# $@
register_remote .                                                             jzaefferer                               git@github.com:jzaefferer/highlight.js.git                                       $# $@
register_remote .                                                             k33g                                     git@github.com:k33g/highlight.js.git                                             $# $@
register_remote .                                                             kanytu                                   git@github.com:kanytu/highlight.js.git                                           $# $@
register_remote .                                                             karamfil                                 git@github.com:karamfil/highlight.js.git                                         $# $@
register_remote .                                                             karloscarweber                           git@github.com:karloscarweber/highlight.js.git                                   $# $@
register_remote .                                                             kasonpasser                              git@github.com:kasonpasser/highlight.js.git                                      $# $@
register_remote .                                                             kassio                                   git@github.com:kassio/highlight.js.git                                           $# $@
register_remote .                                                             kayyyy                                   git@github.com:kayyyy/highlight.js.git                                           $# $@
register_remote .                                                             kba                                      git@github.com:kba/highlight.js.git                                              $# $@
register_remote .                                                             kbirken                                  git@github.com:kbirken/highlight.js.git                                          $# $@
register_remote .                                                             kelleyvanevert                           git@github.com:kelleyvanevert/highlight.js.git                                   $# $@
register_remote .                                                             kemar                                    git@github.com:kemar/highlight.js.git                                            $# $@
register_remote .                                                             kencochrane                              git@github.com:kencochrane/highlight.js.git                                      $# $@
register_remote .                                                             kernc                                    git@github.com:kernc/highlight.js.git                                            $# $@
register_remote .                                                             kevin70                                  git@github.com:kevin70/highlight.js.git                                          $# $@
register_remote .                                                             kevinrodbe                               git@github.com:kevinrodbe/highlight.js.git                                       $# $@
register_remote .                                                             kfuglsang                                git@github.com:kfuglsang/highlight.js.git                                        $# $@
register_remote .                                                             kimmel                                   git@github.com:kimmel/highlight.js.git                                           $# $@
register_remote .                                                             kipildor                                 git@github.com:kipildor/highlight.js.git                                         $# $@
register_remote .                                                             kitsonk                                  git@github.com:kitsonk/highlight.js.git                                          $# $@
register_remote .                                                             knewter                                  git@github.com:knewter/highlight.js.git                                          $# $@
register_remote .                                                             krig                                     git@github.com:krig/highlight.js.git                                             $# $@
register_remote .                                                             kriku                                    git@github.com:kriku/highlight.js.git                                            $# $@
register_remote .                                                             krvax                                    git@github.com:krvax/highlight.js.git                                            $# $@
register_remote .                                                             ksimka                                   git@github.com:ksimka/highlight.js.git                                           $# $@
register_remote .                                                             kuldipem                                 git@github.com:kuldipem/highlight.js.git                                         $# $@
register_remote .                                                             lacnak                                   git@github.com:lacnak/highlight.js.git                                           $# $@
register_remote .                                                             lalocespedes                             git@github.com:lalocespedes/highlight.js.git                                     $# $@
register_remote .                                                             lamphp                                   git@github.com:lamphp/highlight.js.git                                           $# $@
register_remote .                                                             landzup                                  git@github.com:landzup/highlight.js.git                                          $# $@
register_remote .                                                             lanrion                                  git@github.com:lanrion/highlight.js.git                                          $# $@
register_remote .                                                             lariverosc                               git@github.com:lariverosc/highlight.js.git                                       $# $@
register_remote .                                                             lastobelus                               git@github.com:lastobelus/highlight.js.git                                       $# $@
register_remote .                                                             latrekc                                  git@github.com:latrekc/highlight.js.git                                          $# $@
register_remote .                                                             lauzis                                   git@github.com:lauzis/highlight.js.git                                           $# $@
register_remote .                                                             ledhed2222                               git@github.com:ledhed2222/highlight.js.git                                       $# $@
register_remote .                                                             lengsh                                   git@github.com:lengsh/highlight.js.git                                           $# $@
register_remote .                                                             leobauza                                 git@github.com:leobauza/highlight.js.git                                         $# $@
register_remote .                                                             leuher                                   git@github.com:leuher/highlight.js.git                                           $# $@
register_remote .                                                             lev-ari                                  git@github.com:lev-ari/highlight.js.git                                          $# $@
register_remote .                                                             levin217                                 git@github.com:levin217/highlight.js.git                                         $# $@
register_remote .                                                             lexqbit                                  git@github.com:lexqbit/highlight.js.git                                          $# $@
register_remote .                                                             liang42hao                               git@github.com:liang42hao/highlight.js.git                                       $# $@
register_remote .                                                             libraryFly                               git@github.com:libraryFly/highlight.js.git                                       $# $@
register_remote .                                                             lifeinoppo                               git@github.com:lifeinoppo/highlight.js.git                                       $# $@
register_remote .                                                             lifeiscontent                            git@github.com:lifeiscontent/highlight.js.git                                    $# $@
register_remote .                                                             lihebi                                   git@github.com:lihebi/highlight.js.git                                           $# $@
register_remote .                                                             linbaozhong                              git@github.com:linbaozhong/highlight.js.git                                      $# $@
register_remote .                                                             liqueur                                  git@github.com:liqueur/highlight.js.git                                          $# $@
register_remote .                                                             liszd                                    git@github.com:liszd/highlight.js.git                                            $# $@
register_remote .                                                             liujianping                              git@github.com:liujianping/highlight.js.git                                      $# $@
register_remote .                                                             liulinjian                               git@github.com:liulinjian/highlight.js.git                                       $# $@
register_remote .                                                             livecodeali                              git@github.com:livecodeali/highlight.js.git                                      $# $@
register_remote .                                                             lizhil                                   git@github.com:lizhil/highlight.js.git                                           $# $@
register_remote .                                                             loganfreeman                             git@github.com:loganfreeman/highlight.js.git                                     $# $@
register_remote .                                                             logicplace                               git@github.com:logicplace/highlight.js.git                                       $# $@
register_remote .                                                             longgeek                                 git@github.com:longgeek/highlight.js.git                                         $# $@
register_remote .                                                             longze                                   git@github.com:longze/highlight.js.git                                           $# $@
register_remote .                                                             losper                                   git@github.com:losper/highlight.js.git                                           $# $@
register_remote .                                                             lrlucena                                 git@github.com:lrlucena/highlight.js.git                                         $# $@
register_remote .                                                             lucasb-eyer                              git@github.com:lucasb-eyer/highlight.js.git                                      $# $@
register_remote .                                                             lucciano                                 git@github.com:lucciano/highlight.js.git                                         $# $@
register_remote .                                                             luchanghong                              git@github.com:luchanghong/highlight.js.git                                      $# $@
register_remote .                                                             ludovicdeluna                            git@github.com:ludovicdeluna/highlight.js.git                                    $# $@
register_remote .                                                             lukeroge                                 git@github.com:lukeroge/highlight.js.git                                         $# $@
register_remote .                                                             lymanlai                                 git@github.com:lymanlai/highlight.js.git                                         $# $@
register_remote .                                                             lynnyenn                                 git@github.com:lynnyenn/highlight.js.git                                         $# $@
register_remote .                                                             lyreg                                    git@github.com:lyreg/highlight.js.git                                            $# $@
register_remote .                                                             m2gikbb                                  git@github.com:m2gikbb/highlight.js.git                                          $# $@
register_remote .                                                             ma-ric                                   git@github.com:ma-ric/highlight.js.git                                           $# $@
register_remote .                                                             macik                                    git@github.com:macik/highlight.js.git                                            $# $@
register_remote .                                                             mackjoner                                git@github.com:mackjoner/highlight.js.git                                        $# $@
register_remote .                                                             madfox                                   git@github.com:madfox/highlight.js.git                                           $# $@
register_remote .                                                             mageddo                                  git@github.com:mageddo/highlight.js.git                                          $# $@
register_remote .                                                             malcolmt                                 git@github.com:malcolmt/highlight.js.git                                         $# $@
register_remote .                                                             manland                                  git@github.com:manland/highlight.js.git                                          $# $@
register_remote .                                                             manleviet                                git@github.com:manleviet/highlight.js.git                                        $# $@
register_remote .                                                             marchers                                 git@github.com:marchers/highlight.js.git                                         $# $@
register_remote .                                                             marcominetti                             git@github.com:marcominetti/highlight.js.git                                     $# $@
register_remote .                                                             marekhrabe                               git@github.com:marekhrabe/highlight.js.git                                       $# $@
register_remote .                                                             mariotristan                             git@github.com:mariotristan/highlight.js.git                                     $# $@
register_remote .                                                             mariusschulz                             git@github.com:mariusschulz/highlight.js.git                                     $# $@
register_remote .                                                             markusjura                               git@github.com:markusjura/highlight.js.git                                       $# $@
register_remote .                                                             markuskobler                             git@github.com:markuskobler/highlight.js.git                                     $# $@
register_remote .                                                             martijnrusschen                          git@github.com:martijnrusschen/highlight.js.git                                  $# $@
register_remote .                                                             martindilling                            git@github.com:martindilling/highlight.js.git                                    $# $@
register_remote .                                                             marvin1023                               git@github.com:marvin1023/highlight.js.git                                       $# $@
register_remote .                                                             marvindanig                              git@github.com:marvindanig/highlight.js.git                                      $# $@
register_remote .                                                             matteofigus                              git@github.com:matteofigus/highlight.js.git                                      $# $@
register_remote .                                                             matthewbdaly                             git@github.com:matthewbdaly/highlight.js.git                                     $# $@
register_remote .                                                             matthewevans                             git@github.com:matthewevans/highlight.js.git                                     $# $@
register_remote .                                                             matthewmueller                           git@github.com:matthewmueller/highlight.js.git                                   $# $@
register_remote .                                                             mattpardee                               git@github.com:mattpardee/highlight.js.git                                       $# $@
register_remote .                                                             maxfell                                  git@github.com:maxfell/highlight.js.git                                          $# $@
register_remote .                                                             maxsamax                                 git@github.com:maxsamax/highlight.js.git                                         $# $@
register_remote .                                                             mayurvnit                                git@github.com:mayurvnit/highlight.js.git                                        $# $@
register_remote .                                                             mbr0wn                                   git@github.com:mbr0wn/highlight.js.git                                           $# $@
register_remote .                                                             mbutterick                               git@github.com:mbutterick/highlight.js.git                                       $# $@
register_remote .                                                             mcaceresb                                git@github.com:mcaceresb/highlight.js.git                                        $# $@
register_remote .                                                             mcandre                                  git@github.com:mcandre/highlight.js.git                                          $# $@
register_remote .                                                             mdiep                                    git@github.com:mdiep/highlight.js.git                                            $# $@
register_remote .                                                             mediapeers                               git@github.com:mediapeers/highlight.js.git                                       $# $@
register_remote .                                                             meeDamian                                git@github.com:meeDamian/highlightjs.git                                         $# $@
register_remote .                                                             mehdid                                   git@github.com:mehdid/highlight.js.git                                           $# $@
register_remote .                                                             metasyn                                  git@github.com:metasyn/highlight.js.git                                          $# $@
register_remote .                                                             mfornos                                  git@github.com:mfornos/highlight.js.git                                          $# $@
register_remote .                                                             mgmilcher                                git@github.com:mgmilcher/highlight.js.git                                        $# $@
register_remote .                                                             mgutz                                    git@github.com:mgutz/highlight.js.git                                            $# $@
register_remote .                                                             mhartington                              git@github.com:mhartington/highlight.js.git                                      $# $@
register_remote .                                                             mhils                                    git@github.com:mhils/highlight.js.git                                            $# $@
register_remote .                                                             miaotaizi                                git@github.com:miaotaizi/highlight.js.git                                        $# $@
register_remote .                                                             michaelherold                            git@github.com:michaelherold/highlight.js.git                                    $# $@
register_remote .                                                             mickelfeng                               git@github.com:mickelfeng/highlight.js.git                                       $# $@
register_remote .                                                             midoooo                                  git@github.com:midoooo/highlight.js.git                                          $# $@
register_remote .                                                             miho                                     git@github.com:miho/highlight.js.git                                             $# $@
register_remote .                                                             mindthink                                git@github.com:mindthink/highlight.js.git                                        $# $@
register_remote .                                                             mingshun                                 git@github.com:mingshun/highlight.js.git                                         $# $@
register_remote .                                                             minikey                                  git@github.com:minikey/highlight.js.git                                          $# $@
register_remote .                                                             mirikle                                  git@github.com:mirikle/highlight.js.git                                          $# $@
register_remote .                                                             mischapeters                             git@github.com:mischapeters/highlight.js.git                                     $# $@
register_remote .                                                             mixxmac                                  git@github.com:mixxmac/highlight.js.git                                          $# $@
register_remote .                                                             mjethani                                 git@github.com:mjethani/highlight.js.git                                         $# $@
register_remote .                                                             mkeeter                                  git@github.com:mkeeter/highlight.js.git                                          $# $@
register_remote .                                                             mksplg                                   git@github.com:mksplg/scape-component-profiles-highlight.js.git                  $# $@
register_remote .                                                             mllanes                                  git@github.com:mllanes/highlight.js.git                                          $# $@
register_remote .                                                             mmarj                                    git@github.com:mmarj/highlight.js.git                                            $# $@
register_remote .                                                             mmilner1016                              git@github.com:mmilner1016/highlight.js.git                                      $# $@
register_remote .                                                             mnjstwins                                git@github.com:mnjstwins/highlight.js.git                                        $# $@
register_remote .                                                             modulexcite                              git@github.com:modulexcite/highlight.js.git                                      $# $@
register_remote .                                                             mojavelinux                              git@github.com:mojavelinux/highlight.js.git                                      $# $@
register_remote .                                                             monkeyWzr                                git@github.com:monkeyWzr/highlight.js.git                                        $# $@
register_remote .                                                             moreazy                                  git@github.com:moreazy/highlight.js.git                                          $# $@
register_remote .                                                             mossarelli                               git@github.com:mossarelli/highlight.js.git                                       $# $@
register_remote .                                                             mousechen                                git@github.com:mousechen/highlight.js.git                                        $# $@
register_remote .                                                             mrtwister                                git@github.com:mrtwister/highlight.js.git                                        $# $@
register_remote .                                                             msalsbery                                git@github.com:msalsbery/highlight.js.git                                        $# $@
register_remote .                                                             msipos                                   git@github.com:msipos/highlight.js.git                                           $# $@
register_remote .                                                             msoftware                                git@github.com:msoftware/highlight.js.git                                        $# $@
register_remote .                                                             msrh                                     git@github.com:msrh/highlight.js.git                                             $# $@
register_remote .                                                             mualiffahrizi                            git@github.com:mualiffahrizi/highlight.js.git                                    $# $@
register_remote .                                                             mucaho                                   git@github.com:mucaho/highlight.js.git                                           $# $@
register_remote .                                                             mugun                                    git@github.com:mugun/highlight.js.git                                            $# $@
register_remote .                                                             mustaqsheikh                             git@github.com:mustaqsheikh/highlight.js.git                                     $# $@
register_remote .                                                             mvhenderson                              git@github.com:mvhenderson/highlight.js.git                                      $# $@
register_remote .                                                             mvlonigro                                git@github.com:mvlonigro/highlight.js.git                                        $# $@
register_remote .                                                             mvpmvp25                                 git@github.com:mvpmvp25/highlight.js.git                                         $# $@
register_remote .                                                             mwilliamson-red-gate                     git@github.com:mwilliamson-red-gate/highlight.js.git                             $# $@
register_remote .                                                             myadzel                                  git@github.com:myadzel/highlight.js.git                                          $# $@
register_remote .                                                             myitcv                                   git@github.com:myitcv/highlight.js.git                                           $# $@
register_remote .                                                             mykook                                   git@github.com:mykook/highlight.js.git                                           $# $@
register_remote .                                                             mzaini30                                 git@github.com:mzaini30/highlight.js.git                                         $# $@
register_remote .                                                             mzrepo                                   git@github.com:mzrepo/highlight.js.git                                           $# $@
register_remote .                                                             n-johnson                                git@github.com:n-johnson/highlight.js.git                                        $# $@
register_remote .                                                             naikdij88                                git@github.com:naikdij88/highlight.js.git                                        $# $@
register_remote .                                                             nanospeck                                git@github.com:nanospeck/highlight.js.git                                        $# $@
register_remote .                                                             nantas                                   git@github.com:nantas/highlight.js.git                                           $# $@
register_remote .                                                             nanuclickity                             git@github.com:nanuclickity/highlight.js.git                                     $# $@
register_remote .                                                             naokiy                                   git@github.com:naokiy/highlight.js.git                                           $# $@
register_remote .                                                             napramirez                               git@github.com:napramirez/highlight.js.git                                       $# $@
register_remote .                                                             natecook1000                             git@github.com:natecook1000/highlight.js.git                                     $# $@
register_remote .                                                             nateps                                   git@github.com:nateps/highlight.js.git                                           $# $@
register_remote .                                                             nathangrigg                              git@github.com:nathangrigg/highlight.js.git                                      $# $@
register_remote .                                                             nativetouch                              git@github.com:nativetouch/highlight.js.git                                      $# $@
register_remote .                                                             naveed-ahmad                             git@github.com:naveed-ahmad/highlight.js.git                                     $# $@
register_remote .                                                             naveenann                                git@github.com:naveenann/highlight.js.git                                        $# $@
register_remote .                                                             nchanged                                 git@github.com:nchanged/highlight.js.git                                         $# $@
register_remote .                                                             neocoder                                 git@github.com:neocoder/highlight.js.git                                         $# $@
register_remote .                                                             neogis-de                                git@github.com:neogis-de/highlight.js.git                                        $# $@
register_remote .                                                             neorka                                   git@github.com:neorka/highlight.js.git                                           $# $@
register_remote .                                                             nevillelyh                               git@github.com:nevillelyh/highlight.js.git                                       $# $@
register_remote .                                                             nexneo                                   git@github.com:nexneo/highlight.js.git                                           $# $@
register_remote .                                                             niaquinto                                git@github.com:niaquinto/highlight.js.git                                        $# $@
register_remote .                                                             nicwest                                  git@github.com:nicwest/highlight.js.git                                          $# $@
register_remote .                                                             nightwend                                git@github.com:nightwend/highlight.js.git                                        $# $@
register_remote .                                                             nikeee                                   git@github.com:nikeee/highlight.js.git                                           $# $@
register_remote .                                                             ningshen                                 git@github.com:ningshen/highlight.js.git                                         $# $@
register_remote .                                                             ninjin                                   git@github.com:ninjin/highlight.js.git                                           $# $@
register_remote .                                                             nknapp                                   git@github.com:nknapp/highlight.js.git                                           $# $@
register_remote .                                                             nmghr9                                   git@github.com:nmghr9/highlight.js.git                                           $# $@
register_remote .                                                             nodar-chkuaselidze                       git@github.com:nodar-chkuaselidze/highlight.js.git                               $# $@
register_remote .                                                             noelgolding                              git@github.com:noelgolding/highlight.js.git                                      $# $@
register_remote .                                                             nofacex                                  git@github.com:nofacex/highlight.js.git                                          $# $@
register_remote .                                                             nolta                                    git@github.com:nolta/highlight.js.git                                            $# $@
register_remote .                                                             non                                      git@github.com:non/highlight.js.git                                              $# $@
register_remote .                                                             npryce                                   git@github.com:npryce/highlight.js.git                                           $# $@
register_remote .                                                             nquinn721                                git@github.com:nquinn721/highlight.js.git                                        $# $@
register_remote .                                                             ntotten                                  git@github.com:ntotten/highlight.js.git                                          $# $@
register_remote .                                                             ntrrgc                                   git@github.com:ntrrgc/highlight.js.git                                           $# $@
register_remote .                                                             nukedss                                  git@github.com:nukedss/highlight.js.git                                          $# $@
register_remote .                                                             nuxwin                                   git@github.com:nuxwin/highlight.js.git                                           $# $@
register_remote .                                                             nvdnkpr                                  git@github.com:nvdnkpr/highlight.js.git                                          $# $@
register_remote .                                                             nwhetsell                                git@github.com:nwhetsell/highlight.js.git                                        $# $@
register_remote .                                                             nwin                                     git@github.com:nwin/highlight.js.git                                             $# $@
register_remote .                                                             nybblr                                   git@github.com:nybblr/highlight.js.git                                           $# $@
register_remote .                                                             nyneye                                   git@github.com:nyneye/highlight.js.git                                           $# $@
register_remote .                                                             oakstudios                               git@github.com:oakstudios/highlight.js.git                                       $# $@
register_remote .                                                             oiuv                                     git@github.com:oiuv/highlight.js.git                                             $# $@
register_remote .                                                             oki                                      git@github.com:oki/highlight.js.git                                              $# $@
register_remote .                                                             oldlaptop                                git@github.com:oldlaptop/highlight.js.git                                        $# $@
register_remote .                                                             oliverseal                               git@github.com:oliverseal/highlight.js.git                                       $# $@
register_remote .                                                             omeid                                    git@github.com:omeid/highlight.js.git                                            $# $@
register_remote .                                                             omni360                                  git@github.com:omni360/highlight.js.git                                          $# $@
register_remote .                                                             oneChifu                                 git@github.com:oneChifu/highlight.js.git                                         $# $@
register_remote .                                                             orangain                                 git@github.com:orangain/highlight.js.git                                         $# $@
register_remote .                                                             ourmaninamsterdam                        git@github.com:ourmaninamsterdam/highlight.js.git                                $# $@
register_remote .                                                             oytunistrator                            git@github.com:oytunistrator/highlight.js.git                                    $# $@
register_remote .                                                             ozlerhakan                               git@github.com:ozlerhakan/highlight.js.git                                       $# $@
register_remote .                                                             palmin                                   git@github.com:palmin/highlight.js.git                                           $# $@
register_remote .                                                             paluka                                   git@github.com:paluka/highlight.js.git                                           $# $@
register_remote .                                                             panuhorsmalahti                          git@github.com:panuhorsmalahti/highlight.js.git                                  $# $@
register_remote .                                                             paraskaneriya                            git@github.com:paraskaneriya/highlight.js.git                                    $# $@
register_remote .                                                             parroty                                  git@github.com:parroty/highlight.js.git                                          $# $@
register_remote .                                                             patrick-steele-idem                      git@github.com:patrick-steele-idem/highlight.js.git                              $# $@
register_remote .                                                             paulsm                                   git@github.com:paulsm/highlight.js.git                                           $# $@
register_remote .                                                             pbuda                                    git@github.com:pbuda/highlight.js.git                                            $# $@
register_remote .                                                             pendowski                                git@github.com:pendowski/highlight.js.git                                        $# $@
register_remote .                                                             peterM                                   git@github.com:peterM/highlight.js.git                                           $# $@
register_remote .                                                             petitspois                               git@github.com:petitspois/highlight.js.git                                       $# $@
register_remote .                                                             pg2800                                   git@github.com:pg2800/highlight.js.git                                           $# $@
register_remote .                                                             pguilford                                git@github.com:pguilford/highlight.js.git                                        $# $@
register_remote .                                                             phpip                                    git@github.com:phpip/highlight.js.git                                            $# $@
register_remote .                                                             phurni                                   git@github.com:phurni/highlight.js.git                                           $# $@
register_remote .                                                             pitkebo                                  git@github.com:pitkebo/highlight.js.git                                          $# $@
register_remote .                                                             pkdevbox                                 git@github.com:pkdevbox/highlight.js.git                                         $# $@
register_remote .                                                             plukevdh                                 git@github.com:plukevdh/highlight.js.git                                         $# $@
register_remote .                                                             pluniewski                               git@github.com:pluniewski/highlight.js.git                                       $# $@
register_remote .                                                             polazarus                                git@github.com:polazarus/highlight.js.git                                        $# $@
register_remote .                                                             pombredanne                              git@github.com:pombredanne/highlight.js.git                                      $# $@
register_remote .                                                             ponylang                                 git@github.com:ponylang/highlight.js.git                                         $# $@
register_remote .                                                             popo1221                                 git@github.com:popo1221/highlight.js.git                                         $# $@
register_remote .                                                             pospi                                    git@github.com:pospi/highlight.js.git                                            $# $@
register_remote .                                                             prince0203                               git@github.com:prince0203/highlight.js.git                                       $# $@
register_remote .                                                             prodigiouspenguin                        git@github.com:prodigiouspenguin/highlight.js.git                                $# $@
register_remote .                                                             proverbed                                git@github.com:proverbed/highlight.js.git                                        $# $@
register_remote .                                                             psibre                                   git@github.com:psibre/highlight.js.git                                           $# $@
register_remote .                                                             psing008                                 git@github.com:psing008/highlight.js.git                                         $# $@
register_remote .                                                             pumbaEO                                  git@github.com:pumbaEO/highlight.js.git                                          $# $@
register_remote .                                                             pzl                                      git@github.com:pzl/highlight.js.git                                              $# $@
register_remote .                                                             qbit                                     git@github.com:qbit/highlight.js.git                                             $# $@
register_remote .                                                             qinhongwei                               git@github.com:qinhongwei/highlight.js.git                                       $# $@
register_remote .                                                             qiujuer                                  git@github.com:qiujuer/highlight.js.git                                          $# $@
register_remote .                                                             qmmr                                     git@github.com:qmmr/highlight.js.git                                             $# $@
register_remote .                                                             quanpan302                               git@github.com:quanpan302/highlight.js.git                                       $# $@
register_remote .                                                             qyqx                                     git@github.com:qyqx/highlight.js.git                                             $# $@
register_remote .                                                             radoraykov                               git@github.com:radoraykov/highlight.js.git                                       $# $@
register_remote .                                                             rafeca                                   git@github.com:rafeca/highlight.js.git                                           $# $@
register_remote .                                                             rahulsimpact                             git@github.com:rahulsimpact/highlight.js.git                                     $# $@
register_remote .                                                             raleksandar                              git@github.com:raleksandar/highlight.js.git                                      $# $@
register_remote .                                                             ranjan-rk                                git@github.com:ranjan-rk/highlight.js.git                                        $# $@
register_remote .                                                             raphnet                                  git@github.com:raphnet/highlight.js.git                                          $# $@
register_remote .                                                             ratchetio                                git@github.com:ratchetio/highlight.js.git                                        $# $@
register_remote .                                                             rdumont                                  git@github.com:rdumont/highlight.js.git                                          $# $@
register_remote .                                                             redfit                                   git@github.com:redfit/highlight.js.git                                           $# $@
register_remote .                                                             reiniergs                                git@github.com:reiniergs/highlight.js.git                                        $# $@
register_remote .                                                             renchaorevee                             git@github.com:renchaorevee/highlight.js.git                                     $# $@
register_remote .                                                             renkun-ken                               git@github.com:renkun-ken/highlight.js.git                                       $# $@
register_remote .                                                             reqianduan                               git@github.com:reqianduan/highlight.js.git                                       $# $@
register_remote .                                                             resfront                                 git@github.com:resfront/highlight.js.git                                         $# $@
register_remote .                                                             resolve                                  git@github.com:resolve/highlight.js.git                                          $# $@
register_remote .                                                             restmech                                 git@github.com:restmech/highlight.js.git                                         $# $@
register_remote .                                                             revig                                    git@github.com:revig/highlight.js.git                                            $# $@
register_remote .                                                             rhettl                                   git@github.com:rhettl/highlight.js.git                                           $# $@
register_remote .                                                             rhiokim                                  git@github.com:rhiokim/highlight.js.git                                          $# $@
register_remote .                                                             richard-lopes                            git@github.com:richard-lopes/highlight.js.git                                    $# $@
register_remote .                                                             rkoopmann                                git@github.com:rkoopmann/highlight.js.git                                        $# $@
register_remote .                                                             rla                                      git@github.com:rla/highlight.js.git                                              $# $@
register_remote .                                                             rnons                                    git@github.com:rnons/highlight.js.git                                            $# $@
register_remote .                                                             robbiepitts                              git@github.com:robbiepitts/highlight.js.git                                      $# $@
register_remote .                                                             robconery                                git@github.com:robconery/highlight.js.git                                        $# $@
register_remote .                                                             robert-dodier                            git@github.com:robert-dodier/highlight.js.git                                    $# $@
register_remote .                                                             robertd                                  git@github.com:robertd/highlight.js.git                                          $# $@
register_remote .                                                             robi-github                              git@github.com:robi-github/highlight.js.git                                      $# $@
register_remote .                                                             rockuw                                   git@github.com:rockuw/highlight.js.git                                           $# $@
register_remote .                                                             rogeralsing                              git@github.com:rogeralsing/highlight.js.git                                      $# $@
register_remote .                                                             rolandpoulter                            git@github.com:rolandpoulter/highlight.js.git                                    $# $@
register_remote .                                                             romelgomez                               git@github.com:romelgomez/highlight.js.git                                       $# $@
register_remote .                                                             rongbo-j                                 git@github.com:rongbo-j/highlight.js.git                                         $# $@
register_remote .                                                             ronkorving                               git@github.com:ronkorving/highlight.js.git                                       $# $@
register_remote .                                                             ronoco                                   git@github.com:ronoco/highlight.js.git                                           $# $@
register_remote .                                                             rookiefly                                git@github.com:rookiefly/highlight.js.git                                        $# $@
register_remote .                                                             rossnorvell                              git@github.com:rossnorvell/highlight.js.git                                      $# $@
register_remote .                                                             rschiang                                 git@github.com:rschiang/highlight.js.git                                         $# $@
register_remote .                                                             rschwietzke                              git@github.com:rschwietzke/highlight.js.git                                      $# $@
register_remote .                                                             rsms                                     git@github.com:rsms/highlight.js.git                                             $# $@
register_remote .                                                             rstacruz                                 git@github.com:rstacruz/highlight.js.git                                         $# $@
register_remote .                                                             rstudio                                  git@github.com:rstudio/highlight.js.git                                          $# $@
register_remote .                                                             runningskull                             git@github.com:runningskull/highlight.js.git                                     $# $@
register_remote .                                                             rxaviers                                 git@github.com:rxaviers/highlight.js.git                                         $# $@
register_remote .                                                             rzimmerman                               git@github.com:rzimmerman/highlight.js.git                                       $# $@
register_remote .                                                             s4553711                                 git@github.com:s4553711/highlight.js.git                                         $# $@
register_remote .                                                             sam3k                                    git@github.com:sam3k/highlight.js.git                                            $# $@
register_remote .                                                             sammcgrail                               git@github.com:sammcgrail/highlight.js.git                                       $# $@
register_remote .                                                             samoay                                   git@github.com:samoay/highlight.js.git                                           $# $@
register_remote .                                                             samtiffin                                git@github.com:samtiffin/highlight.js.git                                        $# $@
register_remote .                                                             santialbo                                git@github.com:santialbo/highlight.js.git                                        $# $@
register_remote .                                                             sashafklein                              git@github.com:sashafklein/highlight.js.git                                      $# $@
register_remote .                                                             sbuzonas                                 git@github.com:sbuzonas/highlight.js.git                                         $# $@
register_remote .                                                             scalyr                                   git@github.com:scalyr/highlight.js.git                                           $# $@
register_remote .                                                             scemama                                  git@github.com:scemama/highlight.js.git                                          $# $@
register_remote .                                                             scien                                    git@github.com:scien/highlight.js.git                                            $# $@
register_remote .                                                             scrivo                                   git@github.com:scrivo/highlight.js.git                                           $# $@
register_remote .                                                             sdenel                                   git@github.com:sdenel/highlight.js.git                                           $# $@
register_remote .                                                             sdussaut                                 git@github.com:sdussaut/highlight.js.git                                         $# $@
register_remote .                                                             searchtree                               git@github.com:searchtree/highlight.js.git                                       $# $@
register_remote .                                                             sebr                                     git@github.com:sebr/highlight.js.git                                             $# $@
register_remote .                                                             seducer0719                              git@github.com:seducer0719/highlight.js.git                                      $# $@
register_remote .                                                             seejohnrun                               git@github.com:seejohnrun/highlight.js.git                                       $# $@
register_remote .                                                             seesharper                               git@github.com:seesharper/highlight.git                                          $# $@
register_remote .                                                             senevoldsen                              git@github.com:senevoldsen/highlight.js.git                                      $# $@
register_remote .                                                             senjap                                   git@github.com:senjap/highlight.js.git                                           $# $@
register_remote .                                                             senshu                                   git@github.com:senshu/highlight.js.git                                           $# $@
register_remote .                                                             sequitur                                 git@github.com:sequitur/highlight.js.git                                         $# $@
register_remote .                                                             seven-phases-max                         git@github.com:seven-phases-max/highlight.js.git                                 $# $@
register_remote .                                                             sevvie                                   git@github.com:sevvie/highlight.js.git                                           $# $@
register_remote .                                                             sh54                                     git@github.com:sh54/highlight.js.git                                             $# $@
register_remote .                                                             shaunstanislaus                          git@github.com:shaunstanislaus/highlight.js.git                                  $# $@
register_remote .                                                             shelbys                                  git@github.com:shelbys/highlight.js.git                                          $# $@
register_remote .                                                             sheleonzhang                             git@github.com:sheleonzhang/highlight.js.git                                     $# $@
register_remote .                                                             shijiawu                                 git@github.com:shijiawu/highlight.js.git                                         $# $@
register_remote .                                                             shiya                                    git@github.com:shiya/highlight.js.git                                            $# $@
register_remote .                                                             shmatov                                  git@github.com:shmatov/highlight.js.git                                          $# $@
register_remote .                                                             shouhutsh                                git@github.com:shouhutsh/highlight.js.git                                        $# $@
register_remote .                                                             showroom101                              git@github.com:showroom101/highlight.js.git                                      $# $@
register_remote .                                                             shuai959980629                           git@github.com:shuai959980629/highlight.js.git                                   $# $@
register_remote .                                                             sigix                                    git@github.com:sigix/highlight.js.git                                            $# $@
register_remote .                                                             sigriffiths                              git@github.com:sigriffiths/highlight.js.git                                      $# $@
register_remote .                                                             simia-tech                               git@github.com:simia-tech/highlight.js.git                                       $# $@
register_remote .                                                             simonkim                                 git@github.com:simonkim/highlight.js.git                                         $# $@
register_remote .                                                             simsalabim                               git@github.com:simsalabim/highlight.js.git                                       $# $@
register_remote .                                                             sjorek                                   git@github.com:sjorek/highlight.js.git                                           $# $@
register_remote .                                                             skidu                                    git@github.com:skidu/highlight.js.git                                            $# $@
register_remote .                                                             skygr                                    git@github.com:skygr/highlight.js.git                                            $# $@
register_remote .                                                             smagch                                   git@github.com:smagch/highlight.js.git                                           $# $@
register_remote .                                                             smellai                                  git@github.com:smellai/highlight.js.git                                          $# $@
register_remote .                                                             smilecoder                               git@github.com:smilecoder/highlight.js.git                                       $# $@
register_remote .                                                             sndnvaps                                 git@github.com:sndnvaps/highlight.js.git                                         $# $@
register_remote .                                                             snegovick                                git@github.com:snegovick/highlight.js.git                                        $# $@
register_remote .                                                             snowkeeper                               git@github.com:snowkeeper/highlight.js.git                                       $# $@
register_remote .                                                             snowyu                                   git@github.com:snowyu/highlight.js.git                                           $# $@
register_remote .                                                             song-yuan                                git@github.com:song-yuan/highlight.js.git                                        $# $@
register_remote .                                                             soonhokong                               git@github.com:soonhokong/highlight.js.git                                       $# $@
register_remote .                                                             sophia2152                               git@github.com:sophia2152/highlight.js.git                                       $# $@
register_remote .                                                             sophiazzw                                git@github.com:sophiazzw/highlight.js.git                                        $# $@
register_remote .                                                             sourrust                                 git@github.com:sourrust/highlight.js.git                                         $# $@
register_remote .                                                             spazmodius                               git@github.com:spazmodius/highlight.js.git                                       $# $@
register_remote .                                                             sps-davelahaye                           git@github.com:sps-davelahaye/highlight.js.git                                   $# $@
register_remote .                                                             spthaolt                                 git@github.com:spthaolt/highlight.js.git                                         $# $@
register_remote .                                                             srawlins                                 git@github.com:srawlins/highlight.js.git                                         $# $@
register_remote .                                                             srbiv                                    git@github.com:srbiv/highlight.js.git                                            $# $@
register_remote .                                                             srohde                                   git@github.com:srohde/highlight.js.git                                           $# $@
register_remote .                                                             stain                                    git@github.com:stain/highlight.js.git                                            $# $@
register_remote .                                                             stefdn                                   git@github.com:stefdn/highlight.js.git                                           $# $@
register_remote .                                                             stelmakh                                 git@github.com:stelmakh/highlight.js.git                                         $# $@
register_remote .                                                             steve-fan                                git@github.com:steve-fan/highlight.js.git                                        $# $@
register_remote .                                                             storen                                   git@github.com:storen/highlight.js.git                                           $# $@
register_remote .                                                             strongme                                 git@github.com:strongme/highlight.js.git                                         $# $@
register_remote .                                                             ststeiger                                git@github.com:ststeiger/highlight.js.git                                        $# $@
register_remote .                                                             stuartpb                                 git@github.com:stuartpb/highlight.js.git                                         $# $@
register_remote .                                                             suever                                   git@github.com:suever/highlight.js.git                                           $# $@
register_remote .                                                             sungsoo                                  git@github.com:sungsoo/highlight.js.git                                          $# $@
register_remote .                                                             survivant                                git@github.com:survivant/highlight.js.git                                        $# $@
register_remote .                                                             suzuboss                                 git@github.com:suzuboss/highlight.js.git                                         $# $@
register_remote .                                                             suzuki033                                git@github.com:suzuki033/highlight.js.git                                        $# $@
register_remote .                                                             sv                                       git@github.com:sv/highlight.js.git                                               $# $@
register_remote .                                                             svbeon                                   git@github.com:svbeon/highlight.js.git                                           $# $@
register_remote .                                                             svspire                                  git@github.com:svspire/highlight.js.git                                          $# $@
register_remote .                                                             szepczynski                              git@github.com:szepczynski/highlight.js.git                                      $# $@
register_remote .                                                             t-b                                      git@github.com:t-b/highlight.js.git                                              $# $@
register_remote .                                                             takemori-kondo                           git@github.com:takemori-kondo/highlight.js.git                                   $# $@
register_remote .                                                             taoger                                   git@github.com:taoger/highlight.js.git                                           $# $@
register_remote .                                                             tauebel                                  git@github.com:tauebel/highlight.js.git                                          $# $@
register_remote .                                                             tbfisher                                 git@github.com:tbfisher/highlight.js.git                                         $# $@
register_remote .                                                             teambition                               git@github.com:teambition/highlight.js.git                                       $# $@
register_remote .                                                             tedypranolo                              git@github.com:tedypranolo/highlight.js.git                                      $# $@
register_remote .                                                             tefasmile                                git@github.com:tefasmile/highlight.js.git                                        $# $@
register_remote .                                                             tehmaze-labs                             git@github.com:tehmaze-labs/highlight.js.git                                     $# $@
register_remote .                                                             tenbits                                  git@github.com:tenbits/highlight.js.git                                          $# $@
register_remote .                                                             texttheater                              git@github.com:texttheater/highlight.js.git                                      $# $@
register_remote .                                                             thambley                                 git@github.com:thambley/highlight.js.git                                         $# $@
register_remote .                                                             thanhmabo                                git@github.com:thanhmabo/highlight.js.git                                        $# $@
register_remote .                                                             thedeerchild                             git@github.com:thedeerchild/highlight.js.git                                     $# $@
register_remote .                                                             theodi                                   git@github.com:theodi/highlight.js.git                                           $# $@
register_remote .                                                             therebelbeta                             git@github.com:therebelbeta/highlight.js.git                                     $# $@
register_remote .                                                             thiagoterleski                           git@github.com:thiagoterleski/highlight.js.git                                   $# $@
register_remote .                                                             thincamel                                git@github.com:thincamel/highlight.js.git                                        $# $@
register_remote .                                                             thingsinjars                             git@github.com:thingsinjars/highlight.js.git                                     $# $@
register_remote .                                                             thisisui                                 git@github.com:thisisui/highlight.js.git                                         $# $@
register_remote .                                                             thtr                                     git@github.com:thtr/highlight.js.git                                             $# $@
register_remote .                                                             tikhomirov                               git@github.com:tikhomirov/highlight.js.git                                       $# $@
register_remote .                                                             tillsteinbach                            git@github.com:tillsteinbach/highlight.js.git                                    $# $@
register_remote .                                                             timacdonald                              git@github.com:timacdonald/highlight.js.git                                      $# $@
register_remote .                                                             titolarz                                 git@github.com:titolarz/highlight.js.git                                         $# $@
register_remote .                                                             titze                                    git@github.com:titze/highlight.js.git                                            $# $@
register_remote .                                                             tkrugg                                   git@github.com:tkrugg/highlight.js.git                                           $# $@
register_remote .                                                             tleish                                   git@github.com:tleish/highlight.js.git                                           $# $@
register_remote .                                                             tmoreira2020                             git@github.com:tmoreira2020/highlight.js.git                                     $# $@
register_remote .                                                             tntmarket                                git@github.com:tntmarket/highlight.js.git                                        $# $@
register_remote .                                                             toddpi314                                git@github.com:toddpi314/highlight.js.git                                        $# $@
register_remote .                                                             tonini                                   git@github.com:tonini/highlight.js.git                                           $# $@
register_remote .                                                             tovic                                    git@github.com:tovic/highlight.js.git                                            $# $@
register_remote .                                                             towry                                    git@github.com:towry/highlight.js.git                                            $# $@
register_remote .                                                             travis4all                               git@github.com:travis4all/highlight.cs.git                                       $# $@
register_remote .                                                             treep                                    git@github.com:treep/highlight.js.git                                            $# $@
register_remote .                                                             trfiladelfo                              git@github.com:trfiladelfo/highlight.js.git                                      $# $@
register_remote .                                                             troygaylord                              git@github.com:troygaylord/highlight.js.git                                      $# $@
register_remote .                                                             troykershaw                              git@github.com:troykershaw/highlight.js.git                                      $# $@
register_remote .                                                             trusktr                                  git@github.com:trusktr/highlight.js.git                                          $# $@
register_remote .                                                             tsenart                                  git@github.com:tsenart/highlight.js.git                                          $# $@
register_remote .                                                             tuanphpvn                                git@github.com:tuanphpvn/highlight.js.git                                        $# $@
register_remote .                                                             tugberkugurlu                            git@github.com:tugberkugurlu/highlight.js.git                                    $# $@
register_remote .                                                             typista                                  git@github.com:typista/highlight.js.git                                          $# $@
register_remote .                                                             tzmartin                                 git@github.com:tzmartin/highlight.js.git                                         $# $@
register_remote .                                                             ubertao                                  git@github.com:ubertao/highlight.js.git                                          $# $@
register_remote .                                                             uchuugaka                                git@github.com:uchuugaka/highlight.js.git                                        $# $@
register_remote .                                                             unbit                                    git@github.com:unbit/highlight.js.git                                            $# $@
register_remote .                                                             undefined-io                             git@github.com:undefined-io/highlight.js.git                                     $# $@
register_remote .                                                             unreal                                   git@github.com:unreal/highlight.js.git                                           $# $@
register_remote .                                                             v09-software                             git@github.com:v09-software/highlight.js.git                                     $# $@
register_remote .                                                             varg                                     git@github.com:varg/highlight.js.git                                             $# $@
register_remote .                                                             varya                                    git@github.com:varya/highlight.js.git                                            $# $@
register_remote .                                                             vience                                   git@github.com:vience/highlight.js.git                                           $# $@
register_remote .                                                             vietlq                                   git@github.com:vietlq/highlight.js.git                                           $# $@
register_remote .                                                             vikte                                    git@github.com:vikte/highlight.js.git                                            $# $@
register_remote .                                                             vilaskumkar                              git@github.com:vilaskumkar/highlight.js.git                                      $# $@
register_remote .                                                             vileer                                   git@github.com:vileer/highlight.js.git                                           $# $@
register_remote .                                                             vinthony                                 git@github.com:vinthony/highlight.js.git                                         $# $@
register_remote .                                                             vishesh                                  git@github.com:vishesh/highlight.js.git                                          $# $@
register_remote .                                                             visoft                                   git@github.com:visoft/highlight.js.git                                           $# $@
register_remote .                                                             vlasovskikh                              git@github.com:vlasovskikh/highlight.js.git                                      $# $@
register_remote .                                                             voithos                                  git@github.com:voithos/highlight.js.git                                          $# $@
register_remote .                                                             volving                                  git@github.com:volving/highlight.js.git                                          $# $@
register_remote .                                                             wangbinxiang                             git@github.com:wangbinxiang/highlight.js.git                                     $# $@
register_remote .                                                             wangqianfront                            git@github.com:wangqianfront/highlight.js.git                                    $# $@
register_remote .                                                             waywardmonkeys                           git@github.com:waywardmonkeys/highlight.js.git                                   $# $@
register_remote .                                                             wcy123                                   git@github.com:wcy123/highlight.js.git                                           $# $@
register_remote .                                                             wdw0705                                  git@github.com:wdw0705/highlight.js.git                                          $# $@
register_remote .                                                             web3app4                                 git@github.com:web3app4/highlight.js.git                                         $# $@
register_remote .                                                             weiyibin                                 git@github.com:weiyibin/highlight.js.git                                         $# $@
register_remote .                                                             wends155                                 git@github.com:wends155/highlight.js.git                                         $# $@
register_remote .                                                             werc                                     git@github.com:werc/highlight.js.git                                             $# $@
register_remote .                                                             wghust                                   git@github.com:wghust/highlight.js.git                                           $# $@
register_remote .                                                             whidy                                    git@github.com:whidy/highlight.js.git                                            $# $@
register_remote .                                                             will123195                               git@github.com:will123195/highlight.js.git                                       $# $@
register_remote .                                                             williamlfang                             git@github.com:williamlfang/highlight.js.git                                     $# $@
register_remote .                                                             williamli                                git@github.com:williamli/highlight.js.git                                        $# $@
register_remote .                                                             wilson0x4d                               git@github.com:wilson0x4d/highlight.js.git                                       $# $@
register_remote .                                                             wimarbueno                               git@github.com:wimarbueno/highlight.js.git                                       $# $@
register_remote .                                                             wjdix                                    git@github.com:wjdix/highlight.js.git                                            $# $@
register_remote .                                                             wolxXx                                   git@github.com:wolxXx/highlight.js.git                                           $# $@
register_remote .                                                             workmousechen                            git@github.com:workmousechen/highlight.js.git                                    $# $@
register_remote .                                                             wuxq                                     git@github.com:wuxq/highlight.js.git                                             $# $@
register_remote .                                                             wxiangbo                                 git@github.com:wxiangbo/highlight.js.git                                         $# $@
register_remote .                                                             wyklq                                    git@github.com:wyklq/highlight.js.git                                            $# $@
register_remote .                                                             xeronith                                 git@github.com:xeronith/highlight.js.git                                         $# $@
register_remote .                                                             xfix                                     git@github.com:xfix/highlight.js.git                                             $# $@
register_remote .                                                             xgfone                                   git@github.com:xgfone/highlight.js.git                                           $# $@
register_remote .                                                             xianxingg                                git@github.com:xianxingg/highlight.js.git                                        $# $@
register_remote .                                                             xiaotangyuan                             git@github.com:xiaotangyuan/highlight.js.git                                     $# $@
register_remote .                                                             xin9min9                                 git@github.com:xin9min9/highlight.js.git                                         $# $@
register_remote .                                                             xing-zhi                                 git@github.com:xing-zhi/highlight.js.git                                         $# $@
register_remote .                                                             xiongxianzhu                             git@github.com:xiongxianzhu/highlight.js.git                                     $# $@
register_remote .                                                             xjyh                                     git@github.com:xjyh/highlight.js.git                                             $# $@
register_remote .                                                             xlpiao                                   git@github.com:xlpiao/highlight.js.git                                           $# $@
register_remote .                                                             xuboso                                   git@github.com:xuboso/highlight.js.git                                           $# $@
register_remote .                                                             yangsu                                   git@github.com:yangsu/highlight.js.git                                           $# $@
register_remote .                                                             yanyongshan                              git@github.com:yanyongshan/highlight.js.git                                      $# $@
register_remote .                                                             yashilanka                               git@github.com:yashilanka/highlight.js.git                                       $# $@
register_remote .                                                             yasir095                                 git@github.com:yasir095/highlight.js.git                                         $# $@
register_remote .                                                             yejingrong                               git@github.com:yejingrong/highlight.js.git                                       $# $@
register_remote .                                                             yexiaochai                               git@github.com:yexiaochai/highlight.js.git                                       $# $@
register_remote .                                                             yonaxTics                                git@github.com:yonaxTics/highlight.js.git                                        $# $@
register_remote .                                                             yongaru                                  git@github.com:yongaru/highlight.js.git                                          $# $@
register_remote .                                                             yoogx                                    git@github.com:yoogx/highlight.js.git                                            $# $@
register_remote .                                                             yorci                                    git@github.com:yorci/highlight.js.git                                            $# $@
register_remote .                                                             ysbaddaden                               git@github.com:ysbaddaden/highlight.js.git                                       $# $@
register_remote .                                                             yszou                                    git@github.com:yszou/highlight.js.git                                            $# $@
register_remote .                                                             yxxme                                    git@github.com:yxxme/highlight.js.git                                            $# $@
register_remote .                                                             zaboco                                   git@github.com:zaboco/highlight.js.git                                           $# $@
register_remote .                                                             zachaysan                                git@github.com:zachaysan/highlight.js.git                                        $# $@
register_remote .                                                             zalemwoo                                 git@github.com:zalemwoo/highlight.js.git                                         $# $@
register_remote .                                                             zamfi                                    git@github.com:zamfi/highlight.js.git                                            $# $@
register_remote .                                                             zaxtax                                   git@github.com:zaxtax/highlight.js.git                                           $# $@
register_remote .                                                             zealot128-os                             git@github.com:zealot128-os/highlight.js.git                                     $# $@
register_remote .                                                             zeekay                                   git@github.com:zeekay/highlight.js.git                                           $# $@
register_remote .                                                             zeke                                     git@github.com:zeke/highlight.js.git                                             $# $@
register_remote .                                                             zenlambda                                git@github.com:zenlambda/highlight.js.git                                        $# $@
register_remote .                                                             zephor                                   git@github.com:zephor/highlight.js.git                                           $# $@
register_remote .                                                             zhagqn                                   git@github.com:zhagqn/highlight.js.git                                           $# $@
register_remote .                                                             zhangxinsheng                            git@github.com:zhangxinsheng/highlight.js.git                                    $# $@
register_remote .                                                             zhangyuanwei                             git@github.com:zhangyuanwei/highlight.js.git                                     $# $@
register_remote .                                                             zhhb                                     git@github.com:zhhb/highlight.js.git                                             $# $@
register_remote .                                                             zhouwenchao2014                          git@github.com:zhouwenchao2014/highlight.js.git                                  $# $@
register_remote .                                                             zhouyy                                   git@github.com:zhouyy/highlight.js.git                                           $# $@
register_remote .                                                             zhuangbiaowei                            git@github.com:zhuangbiaowei/highlight.js.git                                    $# $@
register_remote .                                                             zhwj184                                  git@github.com:zhwj184/highlight.js.git                                          $# $@
register_remote .                                                             zmukwa                                   git@github.com:zmukwa/highlight.js.git                                           $# $@
register_remote .                                                             zodiac-xl                                git@github.com:zodiac-xl/highlight.js.git                                        $# $@
register_remote .                                                             zzycami                                  git@github.com:zzycami/highlight.js.git                                          $# $@



popd                                                                            2> /dev/null   > /dev/null

