#! /bin/bash
# generated by collect_git_remote_add_recursively.sh

pushd $(dirname $0)                                                             2> /dev/null   > /dev/null
cd ..

mode="d"

getopts ":fqh" opt
#echo opt+arg = "$opt$OPTARG"
case "$opt$OPTARG" in
f )
  echo "--- check out master/HEAD before registering all git remotes ---"
  for (( i=OPTIND; i > 1; i-- )) do
    shift
  done
  #echo args: $@
  mode="f"

  git submodule sync
  git submodule update --init
  git submodule update --init --recursive

  util/git_checkout_submodules_head.sh
  ;;

"?" )
  echo "--- set up git remotes only ---"
  ;;

q )
  echo "--- set up git remotes only ---"
  for (( i=OPTIND; i > 1; i-- )) do
    shift
  done
  #echo args: $@
  mode="q"
  ;;

* )
  cat <<EOT
$0 [-f] [-q] [submodule-paths]

set up git remotes for any / all submodules.

-f       : 'full featured', i.e. check out the preferred branch for each submodule
           and register all submodule remotes.
-q       : 'quick', i.e. only register all submodule remotes.
submodule-paths
         : when you specify one or more submodule directories, than only the
           remotes for those submodules will be set up.
           This is optional; the default sets up the remotes for ALL submodules.

EOT
  exit
  ;;
esac


submodule=xxxxxx

# args: (path, name, repo, argc, argv...)
function register_remote {
    argc=$#
    argv=("$@")
    path=$1
    name=$2
    repo=$3
    #echo register_remote [$path] [$name] [$repo] [$argc] [...]

    # only when paths have been specified on the commandline do we check whether the given remote should be registered
    # (apart from the separate check to see if the submodule has actually been installed, see further below)
    if test $argc -gt 4 ; then
        hit=0
        for ((i=4; i < $argc; i++)); do
            #echo testing dir $i: ${argv[$i]}
            if test ${argv[$i]} = $path ; then
                hit=1
                break
            fi
        done
    else
        hit=1
    fi

    if test $hit -ne 0 ; then
        if test -d $path && test -s $path/.git ; then
            if test $submodule != $path ; then
                echo -------------------------------------------------------------------------------------
                echo submodule:: $path
                submodule=$path
            fi
            pushd $path                                                         2> /dev/null   > /dev/null
            if test "$mode" = "f" ; then
                git remote rm $name
            fi
            git remote add $name $repo
            popd                                                                2> /dev/null   > /dev/null
        fi
    fi
}






register_remote .                                                             0x7fffffff                               git@github.com:0x7fffffff/highlight.js.git                                       $# $@
register_remote .                                                             1st1                                     git@github.com:1st1/highlight.js.git                                             $# $@
register_remote .                                                             44ka28ta                                 git@github.com:44ka28ta/highlight.js.git                                         $# $@
register_remote .                                                             89sos98                                  git@github.com:89sos98/highlight.js.git                                          $# $@
register_remote .                                                             91thUb                                   git@github.com:91thUb/highlight.js.git                                           $# $@
register_remote .                                                             AdamMagaluk                              git@github.com:AdamMagaluk/highlight.js.git                                      $# $@
register_remote .                                                             Ajunboys                                 git@github.com:Ajunboys/highlight.js.git                                         $# $@
register_remote .                                                             AkenNiu                                  git@github.com:AkenNiu/highlight.js.git                                          $# $@
register_remote .                                                             AlexandreBeaulne                         git@github.com:AlexandreBeaulne/highlight.js.git                                 $# $@
register_remote .                                                             AlexisNo                                 git@github.com:AlexisNo/highlight.js.git                                         $# $@
register_remote .                                                             Alexxxone                                git@github.com:Alexxxone/highlight.js.git                                        $# $@
register_remote .                                                             AllenWeb                                 git@github.com:AllenWeb/highlight.js.git                                         $# $@
register_remote .                                                             Alxandr                                  git@github.com:Alxandr/highlight.js.git                                          $# $@
register_remote .                                                             Ankirama                                 git@github.com:Ankirama/highlight.js.git                                         $# $@
register_remote .                                                             ArchivedRepos                            git@github.com:ArchivedRepos/highlight.js.git                                    $# $@
register_remote .                                                             ArvoGuo                                  git@github.com:ArvoGuo/highlight.js.git                                          $# $@
register_remote .                                                             BennettJames                             git@github.com:BennettJames/highlight.js.git                                     $# $@
register_remote .                                                             BorisSchaeling                           git@github.com:BorisSchaeling/highlight.js.git                                   $# $@
register_remote .                                                             Burstaholic                              git@github.com:Burstaholic/highlight.js.git                                      $# $@
register_remote .                                                             CausalityLtd                             git@github.com:CausalityLtd/highlight.js.git                                     $# $@
register_remote .                                                             Cirru                                    git@github.com:Cirru/highlight.js.git                                            $# $@
register_remote .                                                             ClouDev                                  git@github.com:ClouDev/highlight.js.git                                          $# $@
register_remote .                                                             CoCycles                                 git@github.com:CoCycles/highlight.js.git                                         $# $@
register_remote .                                                             CodeArhat                                git@github.com:CodeArhat/highlight.js.git                                        $# $@
register_remote .                                                             ColinOrr-Asidua                          git@github.com:ColinOrr-Asidua/highlight.js.git                                  $# $@
register_remote .                                                             Concurix                                 git@github.com:Concurix/highlight.js.git                                         $# $@
register_remote .                                                             CooCooooo                                git@github.com:CooCooooo/highlight.js.git                                        $# $@
register_remote .                                                             CoryGH                                   git@github.com:CoryGH/highlight.js.git                                           $# $@
register_remote .                                                             DanRathbun                               git@github.com:DanRathbun/highlight.js.git                                       $# $@
register_remote .                                                             DavidAnson                               git@github.com:DavidAnson/highlight.js.git                                       $# $@
register_remote .                                                             DebansNetwork                            git@github.com:DebansNetwork/highlight.js.git                                    $# $@
register_remote .                                                             Delermando                               git@github.com:Delermando/highlight.js.git                                       $# $@
register_remote .                                                             DenVdmj                                  git@github.com:DenVdmj/highlight.js.git                                          $# $@
register_remote .                                                             DiazGopar                                git@github.com:DiazGopar/highlight.js.git                                        $# $@
register_remote .                                                             DmitryBochkarev                          git@github.com:DmitryBochkarev/highlight.js.git                                  $# $@
register_remote .                                                             EricFromCanada                           git@github.com:EricFromCanada/highlight.js.git                                   $# $@
register_remote .                                                             FLyrfors                                 git@github.com:FLyrfors/highlight.js.git                                         $# $@
register_remote .                                                             FlowerBirds                              git@github.com:FlowerBirds/highlight.js.git                                      $# $@
register_remote .                                                             FuDesign2008                             git@github.com:FuDesign2008/highlight.js.git                                     $# $@
register_remote .                                                             GeorgeGathura                            git@github.com:GeorgeGathura/highlight.js.git                                    $# $@
register_remote .                                                             GerHobbelt                               git@github.com:GerHobbelt/highlight.js.git                                       $# $@
register_remote .                                                             Grahack                                  git@github.com:Grahack/highlight.js.git                                          $# $@
register_remote .                                                             Gregwar                                  git@github.com:Gregwar/highlight.js.git                                          $# $@
register_remote .                                                             GrigoryPtashko                           git@github.com:GrigoryPtashko/highlight.js.git                                   $# $@
register_remote .                                                             Gryme                                    git@github.com:Gryme/highlight.js.git                                            $# $@
register_remote .                                                             GuillaumeGomez                           git@github.com:GuillaumeGomez/highlight.js.git                                   $# $@
register_remote .                                                             GunjanMediscribes                        git@github.com:GunjanMediscribes/highlight.js.git                                $# $@
register_remote .                                                             Hello-Mac                                git@github.com:Hello-Mac/highlight.js.git                                        $# $@
register_remote .                                                             Ikovic-lab                               git@github.com:Ikovic-lab/highlight.js.git                                       $# $@
register_remote .                                                             Infocatcher                              git@github.com:Infocatcher/highlight.js.git                                      $# $@
register_remote .                                                             Itec-lds                                 git@github.com:Itec-lds/highlight.js.git                                         $# $@
register_remote .                                                             J2TeaM                                   git@github.com:J2TeaM/highlight.js.git                                           $# $@
register_remote .                                                             JCarlesVilaseca                          git@github.com:JCarlesVilaseca/highlight.js.git                                  $# $@
register_remote .                                                             JSlibrary                                git@github.com:JSlibrary/highlight.js.git                                        $# $@
register_remote .                                                             Joostvanderlaan                          git@github.com:Joostvanderlaan/highlight.js.git                                  $# $@
register_remote .                                                             Justineo                                 git@github.com:Justineo/highlight.js.git                                         $# $@
register_remote .                                                             Klowner                                  git@github.com:Klowner/highlight.js.git                                          $# $@
register_remote .                                                             Loadar                                   git@github.com:Loadar/highlight.js.git                                           $# $@
register_remote .                                                             MarkTseng                                git@github.com:MarkTseng/highlight.js.git                                        $# $@
register_remote .                                                             Moliholy                                 git@github.com:Moliholy/highlight.js.git                                         $# $@
register_remote .                                                             MrAgame13                                git@github.com:MrAgame13/highlight.js.git                                        $# $@
register_remote .                                                             Nettsentrisk                             git@github.com:Nettsentrisk/highlight.js.git                                     $# $@
register_remote .                                                             Nindaleth                                git@github.com:Nindaleth/highlight.js.git                                        $# $@
register_remote .                                                             Ninerian                                 git@github.com:Ninerian/highlight.js.git                                         $# $@
register_remote .                                                             OmarBerrayti                             git@github.com:OmarBerrayti/highlight.js.git                                     $# $@
register_remote .                                                             OrbitzWorldwide                          git@github.com:OrbitzWorldwide/highlight.js.git                                  $# $@
register_remote .                                                             Parakoopa                                git@github.com:Parakoopa/highlight.js.git                                        $# $@
register_remote .                                                             PinZhang                                 git@github.com:PinZhang/highlight.js.git                                         $# $@
register_remote .                                                             RX14                                     git@github.com:RX14/highlight.js.git                                             $# $@
register_remote .                                                             Rudy7kZ                                  git@github.com:Rudy7kZ/highlight.js.git                                          $# $@
register_remote .                                                             STRML                                    git@github.com:STRML/highlight.js.git                                            $# $@
register_remote .                                                             Sannis                                   git@github.com:Sannis/highlight.js.git                                           $# $@
register_remote .                                                             SayCV                                    git@github.com:SayCV/highlight.js.git                                            $# $@
register_remote .                                                             SimonWaldherr                            git@github.com:SimonWaldherr/highlight.js.git                                    $# $@
register_remote .                                                             StepLg                                   git@github.com:StepLg/highlight.js.git                                           $# $@
register_remote .                                                             TApplencourt                             git@github.com:TApplencourt/highlight.js.git                                     $# $@
register_remote .                                                             TBRSS                                    git@github.com:TBRSS/highlight.js.git                                            $# $@
register_remote .                                                             TJUmedialab                              git@github.com:TJUmedialab/highlight.js.git                                      $# $@
register_remote .                                                             TURBO-RACCOON                            git@github.com:TURBO-RACCOON/highlight.js.git                                    $# $@
register_remote .                                                             TheSmitchell                             git@github.com:TheSmitchell/highlight.js.git                                     $# $@
register_remote .                                                             Theodule                                 git@github.com:Theodule/highlight.js.git                                         $# $@
register_remote .                                                             To-mos                                   git@github.com:To-mos/highlight.js.git                                           $# $@
register_remote .                                                             Vadimtro                                 git@github.com:Vadimtro/highlight.js.git                                         $# $@
register_remote .                                                             Vungle                                   git@github.com:Vungle/highlight.js.git                                           $# $@
register_remote .                                                             WeZZard                                  git@github.com:WeZZard/highlight.js.git                                          $# $@
register_remote .                                                             Webcollection                            git@github.com:Webcollection/highlight.js.git                                    $# $@
register_remote .                                                             WongTai                                  git@github.com:WongTai/highlight.js.git                                          $# $@
register_remote .                                                             XVilka                                   git@github.com:XVilka/highlight.js.git                                           $# $@
register_remote .                                                             Xylon5                                   git@github.com:Xylon5/highlight.js.git                                           $# $@
register_remote .                                                             YusukeHirao                              git@github.com:YusukeHirao/highlight.js.git                                      $# $@
register_remote .                                                             Zig1375                                  git@github.com:Zig1375/highlight.js.git                                          $# $@
register_remote .                                                             aaaatttttt                               git@github.com:aaaatttttt/highlight.js.git                                       $# $@
register_remote .                                                             abael                                    git@github.com:abael/highlight.js.git                                            $# $@
register_remote .                                                             abe33                                    git@github.com:abe33/highlight.js.git                                            $# $@
register_remote .                                                             adamjcook                                git@github.com:adamjcook/highlight.js.git                                        $# $@
register_remote .                                                             adjohnson916                             git@github.com:adjohnson916/highlight.js.git                                     $# $@
register_remote .                                                             agius                                    git@github.com:agius/highlight.js.git                                            $# $@
register_remote .                                                             akashaio                                 git@github.com:akashaio/highlight.js.git                                         $# $@
register_remote .                                                             alexscg                                  git@github.com:alexscg/highlight.js.git                                          $# $@
register_remote .                                                             alextercete                              git@github.com:alextercete/highlight.js.git                                      $# $@
register_remote .                                                             aluusqull                                git@github.com:aluusqull/highlight.js.git                                        $# $@
register_remote .                                                             andont                                   git@github.com:andont/highlight.js.git                                           $# $@
register_remote .                                                             andrewks777                              git@github.com:andrewks777/highlight.js.git                                      $# $@
register_remote .                                                             andrey-gumtree                           git@github.com:andrey-gumtree/highlight.js.git                                   $# $@
register_remote .                                                             andyhu                                   git@github.com:andyhu/highlight.js.git                                           $# $@
register_remote .                                                             angck                                    git@github.com:angck/highlight.js.git                                            $# $@
register_remote .                                                             angelolloqui                             git@github.com:angelolloqui/highlight.js.git                                     $# $@
register_remote .                                                             angleman                                 git@github.com:angleman/highlight.js.git                                         $# $@
register_remote .                                                             antha-lang                               git@github.com:antha-lang/highlight.js.git                                       $# $@
register_remote .                                                             antono                                   git@github.com:antono/highlight.js.git                                           $# $@
register_remote .                                                             apres                                    git@github.com:apres/highlight.js.git                                            $# $@
register_remote .                                                             arendelle                                git@github.com:arendelle/highlight.js.git                                        $# $@
register_remote .                                                             arhibot                                  git@github.com:arhibot/highlight.js.git                                          $# $@
register_remote .                                                             artofproblemsolving                      git@github.com:artofproblemsolving/highlight.js.git                              $# $@
register_remote .                                                             ashutoshlr                               git@github.com:ashutoshlr/highlight.js.git                                       $# $@
register_remote .                                                             atelierbram                              git@github.com:atelierbram/highlight.js.git                                      $# $@
register_remote .                                                             auge8472                                 git@github.com:auge8472/highlight.js.git                                         $# $@
register_remote .                                                             aurusov                                  git@github.com:aurusov/highlight.js.git                                          $# $@
register_remote .                                                             aw5186                                   git@github.com:aw5186/highlight.js.git                                           $# $@
register_remote .                                                             axter                                    git@github.com:axter/highlight.js.git                                            $# $@
register_remote .                                                             ayaamrajput                              git@github.com:ayaamrajput/highlight.js.git                                      $# $@
register_remote .                                                             b-pos465                                 git@github.com:b-pos465/highlight.js.git                                         $# $@
register_remote .                                                             bairuiworld                              git@github.com:bairuiworld/highlight.js.git                                      $# $@
register_remote .                                                             balabalababala                           git@github.com:balabalababala/highlight.js.git                                   $# $@
register_remote .                                                             bbradbury                                git@github.com:bbradbury/highlight.js.git                                        $# $@
register_remote .                                                             be5invis                                 git@github.com:be5invis/highlight.js.git                                         $# $@
register_remote .                                                             bfui                                     git@github.com:bfui/highlight.js.git                                             $# $@
register_remote .                                                             bogachev-pa                              git@github.com:bogachev-pa/highlight.js.git                                      $# $@
register_remote .                                                             booo                                     git@github.com:booo/highlight.js.git                                             $# $@
register_remote .                                                             bowenli37                                git@github.com:bowenli37/highlight.js.git                                        $# $@
register_remote .                                                             bquistorff                               git@github.com:bquistorff/highlight.js.git                                       $# $@
register_remote .                                                             briangreenery                            git@github.com:briangreenery/highlight.js.git                                    $# $@
register_remote .                                                             btd                                      git@github.com:btd/highlight.js.git                                              $# $@
register_remote .                                                             buddhists                                git@github.com:buddhists/highlight.js.git                                        $# $@
register_remote .                                                             bweir                                    git@github.com:bweir/highlight.js.git                                            $# $@
register_remote .                                                             c-rack                                   git@github.com:c-rack/highlight.js.git                                           $# $@
register_remote .                                                             c3d                                      git@github.com:c3d/highlight.js.git                                              $# $@
register_remote .                                                             calvinjuarez                             git@github.com:calvinjuarez/highlight.js.git                                     $# $@
register_remote .                                                             carlokok                                 git@github.com:carlokok/highlight.js.git                                         $# $@
register_remote .                                                             cedrics                                  git@github.com:cedrics/highlight.js.git                                          $# $@
register_remote .                                                             charreal                                 git@github.com:charreal/highlight.js.git                                         $# $@
register_remote .                                                             chefedited                               git@github.com:chefedited/highlight.js.git                                       $# $@
register_remote .                                                             chenruixuan                              git@github.com:chenruixuan/highlight.js.git                                      $# $@
register_remote .                                                             chester1000                              git@github.com:chester1000/highlightjs.git                                       $# $@
register_remote .                                                             chhyx2008                                git@github.com:chhyx2008/highlight.js.git                                        $# $@
register_remote .                                                             chikkun                                  git@github.com:chikkun/highlight.js.git                                          $# $@
register_remote .                                                             chriseidhof                              git@github.com:chriseidhof/highlight.js.git                                      $# $@
register_remote .                                                             chriskiehl                               git@github.com:chriskiehl/highlight.js.git                                       $# $@
register_remote .                                                             christop                                 git@github.com:christop/highlight.js.git                                         $# $@
register_remote .                                                             chrisunshine                             git@github.com:chrisunshine/highlight.js.git                                     $# $@
register_remote .                                                             citizenmatt                              git@github.com:citizenmatt/highlight.js.git                                      $# $@
register_remote .                                                             cjl3230                                  git@github.com:cjl3230/highlight.js.git                                          $# $@
register_remote .                                                             clarkparsia                              git@github.com:clarkparsia/highlight.js.git                                      $# $@
register_remote .                                                             cnc-club                                 git@github.com:cnc-club/highlight.js.git                                         $# $@
register_remote .                                                             cnphplib                                 git@github.com:cnphplib/highlight.js.git                                         $# $@
register_remote .                                                             coagulant                                git@github.com:coagulant/highlight.js.git                                        $# $@
register_remote .                                                             code0x14                                 git@github.com:code0x14/highlight.js.git                                         $# $@
register_remote .                                                             coding-abap                              git@github.com:coding-abap/highlight.js.git                                      $# $@
register_remote .                                                             colinjoy                                 git@github.com:colinjoy/highlight.js.git                                         $# $@
register_remote .                                                             condemil                                 git@github.com:condemil/highlight.js.git                                         $# $@
register_remote .                                                             coreyward                                git@github.com:coreyward/highlight.js.git                                        $# $@
register_remote .                                                             craftyjon                                git@github.com:craftyjon/highlight.js.git                                        $# $@
register_remote .                                                             cristianosistemas                        git@github.com:cristianosistemas/highlight.js.git                                $# $@
register_remote .                                                             ctcoding                                 git@github.com:ctcoding/highlight.js.git                                         $# $@
register_remote .                                                             curasystems                              git@github.com:curasystems/highlight.js.git                                      $# $@
register_remote .                                                             cy6erGn0m                                git@github.com:cy6erGn0m/highlight.js.git                                        $# $@
register_remote .                                                             danielnovy                               git@github.com:danielnovy/highlight.js.git                                       $# $@
register_remote .                                                             danvk                                    git@github.com:danvk/highlight.js.git                                            $# $@
register_remote .                                                             davej                                    git@github.com:davej/highlight.js.git                                            $# $@
register_remote .                                                             davesilva                                git@github.com:davesilva/highlight.js.git                                        $# $@
register_remote .                                                             db-tech                                  git@github.com:db-tech/highlight.js.git                                          $# $@
register_remote .                                                             dbkaplun                                 git@github.com:dbkaplun/highlight.js.git                                         $# $@
register_remote .                                                             defcc                                    git@github.com:defcc/highlight.js.git                                            $# $@
register_remote .                                                             demitri                                  git@github.com:demitri/highlight.js.git                                          $# $@
register_remote .                                                             dentuzhik                                git@github.com:dentuzhik/highlight.js.git                                        $# $@
register_remote .                                                             derekey                                  git@github.com:derekey/highlight.js.git                                          $# $@
register_remote .                                                             devolonter                               git@github.com:devolonter/highlight.js.git                                       $# $@
register_remote .                                                             dgeb                                     git@github.com:dgeb/highlight.js.git                                             $# $@
register_remote .                                                             dikmax                                   git@github.com:dikmax/highlight.js.git                                           $# $@
register_remote .                                                             dmalan                                   git@github.com:dmalan/highlight.js.git                                           $# $@
register_remote .                                                             dmedvinsky                               git@github.com:dmedvinsky/highlight.js.git                                       $# $@
register_remote .                                                             dnagir                                   git@github.com:dnagir/highlight.js.git                                           $# $@
register_remote .                                                             dotandimet                               git@github.com:dotandimet/highlight.js.git                                       $# $@
register_remote .                                                             dougalcorn                               git@github.com:dougalcorn/highlight.js.git                                       $# $@
register_remote .                                                             drdrang                                  git@github.com:drdrang/highlight.js.git                                          $# $@
register_remote .                                                             dreamsxin                                git@github.com:dreamsxin/highlight.js.git                                        $# $@
register_remote .                                                             drmohundro                               git@github.com:drmohundro/highlight.js.git                                       $# $@
register_remote .                                                             drupaltr                                 git@github.com:drupaltr/highlight.js.git                                         $# $@
register_remote .                                                             dtao                                     git@github.com:dtao/highlight.js.git                                             $# $@
register_remote .                                                             dtemesi                                  git@github.com:dtemesi/highlight.js.git                                          $# $@
register_remote .                                                             dublebuble                               git@github.com:dublebuble/highlight.js.git                                       $# $@
register_remote .                                                             duckster                                 git@github.com:duckster/highlight.js.git                                         $# $@
register_remote .                                                             dyulei                                   git@github.com:dyulei/highlight.js.git                                           $# $@
register_remote .                                                             edalorzo                                 git@github.com:edalorzo/highlight.js.git                                         $# $@
register_remote .                                                             edmz                                     git@github.com:edmz/highlight.js.git                                             $# $@
register_remote .                                                             eemeli                                   git@github.com:eemeli/highlight.js.git                                           $# $@
register_remote .                                                             eksperimental                            git@github.com:eksperimental/highlight.js.git                                    $# $@
register_remote .                                                             emersion                                 git@github.com:emersion/highlight.js.git                                         $# $@
register_remote .                                                             emrysfan                                 git@github.com:emrysfan/highlight.js.git                                         $# $@
register_remote .                                                             enko                                     git@github.com:enko/highlight.js.git                                             $# $@
register_remote .                                                             eppsilon                                 git@github.com:eppsilon/highlight.js.git                                         $# $@
register_remote .                                                             erez-o                                   git@github.com:erez-o/highlight.js.git                                           $# $@
register_remote .                                                             eternalsky                               git@github.com:eternalsky/highlight.js.git                                       $# $@
register_remote .                                                             eviltrout                                git@github.com:eviltrout/highlight.js.git                                        $# $@
register_remote .                                                             fabgithub                                git@github.com:fabgithub/highlight.js.git                                        $# $@
register_remote .                                                             fabriciotav                              git@github.com:fabriciotav/highlight.js.git                                      $# $@
register_remote .                                                             faloi                                    git@github.com:faloi/highlight.js.git                                            $# $@
register_remote .                                                             fatjyc                                   git@github.com:fatjyc/highlight.js.git                                           $# $@
register_remote .                                                             fay-jai                                  git@github.com:fay-jai/highlight.js.git                                          $# $@
register_remote .                                                             fdwl                                     git@github.com:fdwl/highlight.js.git                                             $# $@
register_remote .                                                             fengkar                                  git@github.com:fengkar/highlight.js.git                                          $# $@
register_remote .                                                             feuerwelt                                git@github.com:feuerwelt/highlight.js.git                                        $# $@
register_remote .                                                             fhchina                                  git@github.com:fhchina/highlight.js.git                                          $# $@
register_remote .                                                             fivetip                                  git@github.com:fivetip/highlight.js.git                                          $# $@
register_remote .                                                             follesoe                                 git@github.com:follesoe/highlight.js.git                                         $# $@
register_remote .                                                             fototo                                   git@github.com:fototo/highlight.js.git                                           $# $@
register_remote .                                                             freeyiyi1993                             git@github.com:freeyiyi1993/highlight.js.git                                     $# $@
register_remote .                                                             fvena                                    git@github.com:fvena/highlight.js.git                                            $# $@
register_remote .                                                             giantswarm                               git@github.com:giantswarm/highlight.js.git                                       $# $@
register_remote .                                                             gitterHQ                                 git@github.com:gitterHQ/highlight.js.git                                         $# $@
register_remote .                                                             gitzhx                                   git@github.com:gitzhx/highlight.js.git                                           $# $@
register_remote .                                                             glaforge                                 git@github.com:glaforge/highlight.js.git                                         $# $@
register_remote .                                                             goalall                                  git@github.com:goalall/highlight.js.git                                          $# $@
register_remote .                                                             gosquared                                git@github.com:gosquared/highlight.js.git                                        $# $@
register_remote .                                                             graphistry                               git@github.com:graphistry/highlight.js.git                                       $# $@
register_remote .                                                             greg80303                                git@github.com:greg80303/highlight.js.git                                        $# $@
register_remote .                                                             grigio                                   git@github.com:grigio/highlight.js.git                                           $# $@
register_remote .                                                             gritzko                                  git@github.com:gritzko/highlight.js.git                                          $# $@
register_remote .                                                             grj1046                                  git@github.com:grj1046/highlight.js.git                                          $# $@
register_remote .                                                             guileen                                  git@github.com:guileen/highlight.js.git                                          $# $@
register_remote .                                                             gurucomkz                                git@github.com:gurucomkz/highlight.js.git                                        $# $@
register_remote .                                                             h2non                                    git@github.com:h2non/highlight.js.git                                            $# $@
register_remote .                                                             haichong0813                             git@github.com:haichong0813/highlight.js.git                                     $# $@
register_remote .                                                             hatch2                                   git@github.com:hatch2/highlight.js.git                                           $# $@
register_remote .                                                             hayeah                                   git@github.com:hayeah/highlight.js.git                                           $# $@
register_remote .                                                             hbh112233abc                             git@github.com:hbh112233abc/highlight.js.git                                     $# $@
register_remote .                                                             hcxiong                                  git@github.com:hcxiong/highlight.js.git                                          $# $@
register_remote .                                                             he1234                                   git@github.com:he1234/highlight.js.git                                           $# $@
register_remote .                                                             hero76                                   git@github.com:hero76/highlight.js.git                                           $# $@
register_remote .                                                             hezc                                     git@github.com:hezc/highlight.js.git                                             $# $@
register_remote .                                                             hitsthings                               git@github.com:hitsthings/highlight.js.git                                       $# $@
register_remote .                                                             huajia                                   git@github.com:huajia/highlight.js.git                                           $# $@
register_remote .                                                             huati365                                 git@github.com:huati365/highlight.js.git                                         $# $@
register_remote .                                                             hubgit                                   git@github.com:hubgit/highlight.js.git                                           $# $@
register_remote .                                                             iHiD                                     git@github.com:iHiD/highlight.js.git                                             $# $@
register_remote .                                                             iOctocat                                 git@github.com:iOctocat/highlight.js.git                                         $# $@
register_remote .                                                             iceraj                                   git@github.com:iceraj/highlight.js.git                                           $# $@
register_remote .                                                             idleberg                                 git@github.com:idleberg/highlight.js.git                                         $# $@
register_remote .                                                             ifa6                                     git@github.com:ifa6/highlight.js.git                                             $# $@
register_remote .                                                             igorw-forks                              git@github.com:igorw-forks/highlight.js.git                                      $# $@
register_remote .                                                             imerovingian                             git@github.com:imerovingian/highlight.js.git                                     $# $@
register_remote .                                                             imkevinyang                              git@github.com:imkevinyang/highlight.js.git                                      $# $@
register_remote .                                                             improvedk                                git@github.com:improvedk/highlight.js.git                                        $# $@
register_remote .                                                             innocenat                                git@github.com:innocenat/highlight.js.git                                        $# $@
register_remote .                                                             inspireso                                git@github.com:inspireso/highlight.js.git                                        $# $@
register_remote .                                                             iominh                                   git@github.com:iominh/highlight.js.git                                           $# $@
register_remote .                                                             ioncreature                              git@github.com:ioncreature/highlight.js.git                                      $# $@
register_remote .                                                             isagalaev                                git@github.com:isagalaev/highlight.js.git                                        $# $@
register_remote .                                                             isagalaev-original                       git@github.com:isagalaev/highlight.js.git                                        $# $@
register_remote .                                                             ivanovsuper                              git@github.com:ivanovsuper/highlight.js.git                                      $# $@
register_remote .                                                             jacky1988li                              git@github.com:jacky1988li/highlight.js.git                                      $# $@
register_remote .                                                             jackycute                                git@github.com:jackycute/highlight.js.git                                        $# $@
register_remote .                                                             jacobking                                git@github.com:jacobking/highlight.js.git                                        $# $@
register_remote .                                                             jaguaryang                               git@github.com:jaguaryang/highlight.js.git                                       $# $@
register_remote .                                                             jamesiarmes                              git@github.com:jamesiarmes/highlight.js.git                                      $# $@
register_remote .                                                             jamesruan                                git@github.com:jamesruan/highlight.js.git                                        $# $@
register_remote .                                                             jayce7                                   git@github.com:jayce7/highlight.js.git                                           $# $@
register_remote .                                                             jemmeliCss                               git@github.com:jemmeliCss/highlight.js.git                                       $# $@
register_remote .                                                             jeremysd99                               git@github.com:jeremysd99/highlight.js.git                                       $# $@
register_remote .                                                             jerryzhang414                            git@github.com:jerryzhang414/highlight.js.git                                    $# $@
register_remote .                                                             jgallen23                                git@github.com:jgallen23/highlight.js.git                                        $# $@
register_remote .                                                             jindw                                    git@github.com:jindw/highlight.js.git                                            $# $@
register_remote .                                                             jinghm318                                git@github.com:jinghm318/highlight.js.git                                        $# $@
register_remote .                                                             jkgeyti                                  git@github.com:jkgeyti/highlight.js.git                                          $# $@
register_remote .                                                             jlblcc                                   git@github.com:jlblcc/highlight.js.git                                           $# $@
register_remote .                                                             joeldom                                  git@github.com:joeldom/highlight.js.git                                          $# $@
register_remote .                                                             joetidwell                               git@github.com:joetidwell/highlight.js.git                                       $# $@
register_remote .                                                             jonathanong                              git@github.com:jonathanong/highlight.js.git                                      $# $@
register_remote .                                                             joshdeanmcdonald                         git@github.com:joshdeanmcdonald/highlight.js.git                                 $# $@
register_remote .                                                             joyqi                                    git@github.com:joyqi/highlight.js.git                                            $# $@
register_remote .                                                             jponelat                                 git@github.com:jponelat/highlight.js.git                                         $# $@
register_remote .                                                             jpverkamp                                git@github.com:jpverkamp/highlight.js.git                                        $# $@
register_remote .                                                             jsk336                                   git@github.com:jsk336/highlight.js.git                                           $# $@
register_remote .                                                             jtraver                                  git@github.com:jtraver/highlight.js.git                                          $# $@
register_remote .                                                             justfielding                             git@github.com:justfielding/highlight.js.git                                     $# $@
register_remote .                                                             kanytu                                   git@github.com:kanytu/highlight.js.git                                           $# $@
register_remote .                                                             karloscarweber                           git@github.com:karloscarweber/highlight.js.git                                   $# $@
register_remote .                                                             kassio                                   git@github.com:kassio/highlight.js.git                                           $# $@
register_remote .                                                             kayyyy                                   git@github.com:kayyyy/highlight.js.git                                           $# $@
register_remote .                                                             kelleyvanevert                           git@github.com:kelleyvanevert/highlight.js.git                                   $# $@
register_remote .                                                             kemar                                    git@github.com:kemar/highlight.js.git                                            $# $@
register_remote .                                                             kencochrane                              git@github.com:kencochrane/highlight.js.git                                      $# $@
register_remote .                                                             kernc                                    git@github.com:kernc/highlight.js.git                                            $# $@
register_remote .                                                             kevinrodbe                               git@github.com:kevinrodbe/highlight.js.git                                       $# $@
register_remote .                                                             kfuglsang                                git@github.com:kfuglsang/highlight.js.git                                        $# $@
register_remote .                                                             kimmel                                   git@github.com:kimmel/highlight.js.git                                           $# $@
register_remote .                                                             kitsonk                                  git@github.com:kitsonk/highlight.js.git                                          $# $@
register_remote .                                                             knewter                                  git@github.com:knewter/highlight.js.git                                          $# $@
register_remote .                                                             krig                                     git@github.com:krig/highlight.js.git                                             $# $@
register_remote .                                                             kriku                                    git@github.com:kriku/highlight.js.git                                            $# $@
register_remote .                                                             ksimka                                   git@github.com:ksimka/highlight.js.git                                           $# $@
register_remote .                                                             landzup                                  git@github.com:landzup/highlight.js.git                                          $# $@
register_remote .                                                             lanrion                                  git@github.com:lanrion/highlight.js.git                                          $# $@
register_remote .                                                             lengsh                                   git@github.com:lengsh/highlight.js.git                                           $# $@
register_remote .                                                             lihebi                                   git@github.com:lihebi/highlight.js.git                                           $# $@
register_remote .                                                             liqueur                                  git@github.com:liqueur/highlight.js.git                                          $# $@
register_remote .                                                             lizhil                                   git@github.com:lizhil/highlight.js.git                                           $# $@
register_remote .                                                             lucasb-eyer                              git@github.com:lucasb-eyer/highlight.js.git                                      $# $@
register_remote .                                                             luchanghong                              git@github.com:luchanghong/highlight.js.git                                      $# $@
register_remote .                                                             lynnyenn                                 git@github.com:lynnyenn/highlight.js.git                                         $# $@
register_remote .                                                             lyreg                                    git@github.com:lyreg/highlight.js.git                                            $# $@
register_remote .                                                             macik                                    git@github.com:macik/highlight.js.git                                            $# $@
register_remote .                                                             malcolmt                                 git@github.com:malcolmt/highlight.js.git                                         $# $@
register_remote .                                                             manland                                  git@github.com:manland/highlight.js.git                                          $# $@
register_remote .                                                             marcominetti                             git@github.com:marcominetti/highlight.js.git                                     $# $@
register_remote .                                                             marekhrabe                               git@github.com:marekhrabe/highlight.js.git                                       $# $@
register_remote .                                                             mariusschulz                             git@github.com:mariusschulz/highlight.js.git                                     $# $@
register_remote .                                                             markusjura                               git@github.com:markusjura/highlight.js.git                                       $# $@
register_remote .                                                             markuskobler                             git@github.com:markuskobler/highlight.js.git                                     $# $@
register_remote .                                                             matteofigus                              git@github.com:matteofigus/highlight.js.git                                      $# $@
register_remote .                                                             maxsamax                                 git@github.com:maxsamax/highlight.js.git                                         $# $@
register_remote .                                                             mbutterick                               git@github.com:mbutterick/highlight.js.git                                       $# $@
register_remote .                                                             mediapeers                               git@github.com:mediapeers/highlight.js.git                                       $# $@
register_remote .                                                             mehdid                                   git@github.com:mehdid/highlight.js.git                                           $# $@
register_remote .                                                             metasyn                                  git@github.com:metasyn/highlight.js.git                                          $# $@
register_remote .                                                             mfornos                                  git@github.com:mfornos/highlight.js.git                                          $# $@
register_remote .                                                             mgutz                                    git@github.com:mgutz/highlight.js.git                                            $# $@
register_remote .                                                             mhils                                    git@github.com:mhils/highlight.js.git                                            $# $@
register_remote .                                                             miaotaizi                                git@github.com:miaotaizi/highlight.js.git                                        $# $@
register_remote .                                                             mickelfeng                               git@github.com:mickelfeng/highlight.js.git                                       $# $@
register_remote .                                                             midoooo                                  git@github.com:midoooo/highlight.js.git                                          $# $@
register_remote .                                                             mingshun                                 git@github.com:mingshun/highlight.js.git                                         $# $@
register_remote .                                                             mixxmac                                  git@github.com:mixxmac/highlight.js.git                                          $# $@
register_remote .                                                             mnjstwins                                git@github.com:mnjstwins/highlight.js.git                                        $# $@
register_remote .                                                             modulexcite                              git@github.com:modulexcite/highlight.js.git                                      $# $@
register_remote .                                                             mojavelinux                              git@github.com:mojavelinux/highlight.js.git                                      $# $@
register_remote .                                                             monkeyWzr                                git@github.com:monkeyWzr/highlight.js.git                                        $# $@
register_remote .                                                             mousechen                                git@github.com:mousechen/highlight.js.git                                        $# $@
register_remote .                                                             mrtwister                                git@github.com:mrtwister/highlight.js.git                                        $# $@
register_remote .                                                             msrh                                     git@github.com:msrh/highlight.js.git                                             $# $@
register_remote .                                                             mualiffahrizi                            git@github.com:mualiffahrizi/highlight.js.git                                    $# $@
register_remote .                                                             mucaho                                   git@github.com:mucaho/highlight.js.git                                           $# $@
register_remote .                                                             mwilliamson-red-gate                     git@github.com:mwilliamson-red-gate/highlight.js.git                             $# $@
register_remote .                                                             myadzel                                  git@github.com:myadzel/highlight.js.git                                          $# $@
register_remote .                                                             myitcv                                   git@github.com:myitcv/highlight.js.git                                           $# $@
register_remote .                                                             mykook                                   git@github.com:mykook/highlight.js.git                                           $# $@
register_remote .                                                             mzaini30                                 git@github.com:mzaini30/highlight.js.git                                         $# $@
register_remote .                                                             naokiy                                   git@github.com:naokiy/highlight.js.git                                           $# $@
register_remote .                                                             natecook1000                             git@github.com:natecook1000/highlight.js.git                                     $# $@
register_remote .                                                             nathangrigg                              git@github.com:nathangrigg/highlight.js.git                                      $# $@
register_remote .                                                             nativetouch                              git@github.com:nativetouch/highlight.js.git                                      $# $@
register_remote .                                                             nchanged                                 git@github.com:nchanged/highlight.js.git                                         $# $@
register_remote .                                                             neorka                                   git@github.com:neorka/highlight.js.git                                           $# $@
register_remote .                                                             nett55                                   git@github.com:nett55/highlight.js.git                                           $# $@
register_remote .                                                             nevillelyh                               git@github.com:nevillelyh/highlight.js.git                                       $# $@
register_remote .                                                             niaquinto                                git@github.com:niaquinto/highlight.js.git                                        $# $@
register_remote .                                                             nicwest                                  git@github.com:nicwest/highlight.js.git                                          $# $@
register_remote .                                                             nikeee                                   git@github.com:nikeee/highlight.js.git                                           $# $@
register_remote .                                                             ninjin                                   git@github.com:ninjin/highlight.js.git                                           $# $@
register_remote .                                                             nodar-chkuaselidze                       git@github.com:nodar-chkuaselidze/highlight.js.git                               $# $@
register_remote .                                                             non                                      git@github.com:non/highlight.js.git                                              $# $@
register_remote .                                                             ntotten                                  git@github.com:ntotten/highlight.js.git                                          $# $@
register_remote .                                                             ntrrgc                                   git@github.com:ntrrgc/highlight.js.git                                           $# $@
register_remote .                                                             nwin                                     git@github.com:nwin/highlight.js.git                                             $# $@
register_remote .                                                             nyneye                                   git@github.com:nyneye/highlight.js.git                                           $# $@
register_remote .                                                             oakstudios                               git@github.com:oakstudios/highlight.js.git                                       $# $@
register_remote .                                                             oki                                      git@github.com:oki/highlight.js.git                                              $# $@
register_remote .                                                             oldlaptop                                git@github.com:oldlaptop/highlight.js.git                                        $# $@
register_remote .                                                             omeid                                    git@github.com:omeid/highlight.js.git                                            $# $@
register_remote .                                                             orangain                                 git@github.com:orangain/highlight.js.git                                         $# $@
register_remote .                                                             ourmaninamsterdam                        git@github.com:ourmaninamsterdam/highlight.js.git                                $# $@
register_remote .                                                             ozlerhakan                               git@github.com:ozlerhakan/highlight.js.git                                       $# $@
register_remote .                                                             palmin                                   git@github.com:palmin/highlight.js.git                                           $# $@
register_remote .                                                             paluka                                   git@github.com:paluka/highlight.js.git                                           $# $@
register_remote .                                                             panuhorsmalahti                          git@github.com:panuhorsmalahti/highlight.js.git                                  $# $@
register_remote .                                                             paraskaneriya                            git@github.com:paraskaneriya/highlight.js.git                                    $# $@
register_remote .                                                             parroty                                  git@github.com:parroty/highlight.js.git                                          $# $@
register_remote .                                                             paulsm                                   git@github.com:paulsm/highlight.js.git                                           $# $@
register_remote .                                                             pendowski                                git@github.com:pendowski/highlight.js.git                                        $# $@
register_remote .                                                             pg2800                                   git@github.com:pg2800/highlight.js.git                                           $# $@
register_remote .                                                             pguilford                                git@github.com:pguilford/highlight.js.git                                        $# $@
register_remote .                                                             phpip                                    git@github.com:phpip/highlight.js.git                                            $# $@
register_remote .                                                             phurni                                   git@github.com:phurni/highlight.js.git                                           $# $@
register_remote .                                                             pitkebo                                  git@github.com:pitkebo/highlight.js.git                                          $# $@
register_remote .                                                             popo1221                                 git@github.com:popo1221/highlight.js.git                                         $# $@
register_remote .                                                             prodigiouspenguin                        git@github.com:prodigiouspenguin/highlight.js.git                                $# $@
register_remote .                                                             psibre                                   git@github.com:psibre/highlight.js.git                                           $# $@
register_remote .                                                             pzl                                      git@github.com:pzl/highlight.js.git                                              $# $@
register_remote .                                                             quanpan302                               git@github.com:quanpan302/highlight.js.git                                       $# $@
register_remote .                                                             qyqx                                     git@github.com:qyqx/highlight.js.git                                             $# $@
register_remote .                                                             radoraykov                               git@github.com:radoraykov/highlight.js.git                                       $# $@
register_remote .                                                             raleksandar                              git@github.com:raleksandar/highlight.js.git                                      $# $@
register_remote .                                                             ratchetio                                git@github.com:ratchetio/highlight.js.git                                        $# $@
register_remote .                                                             rdumont                                  git@github.com:rdumont/highlight.js.git                                          $# $@
register_remote .                                                             redfit                                   git@github.com:redfit/highlight.js.git                                           $# $@
register_remote .                                                             renkun-ken                               git@github.com:renkun-ken/highlight.js.git                                       $# $@
register_remote .                                                             reqianduan                               git@github.com:reqianduan/highlight.js.git                                       $# $@
register_remote .                                                             resolve                                  git@github.com:resolve/highlight.js.git                                          $# $@
register_remote .                                                             restmech                                 git@github.com:restmech/highlight.js.git                                         $# $@
register_remote .                                                             revig                                    git@github.com:revig/highlight.js.git                                            $# $@
register_remote .                                                             rla                                      git@github.com:rla/highlight.js.git                                              $# $@
register_remote .                                                             rnons                                    git@github.com:rnons/highlight.js.git                                            $# $@
register_remote .                                                             robertd                                  git@github.com:robertd/highlight.js.git                                          $# $@
register_remote .                                                             rogeralsing                              git@github.com:rogeralsing/highlight.js.git                                      $# $@
register_remote .                                                             rongbo-j                                 git@github.com:rongbo-j/highlight.js.git                                         $# $@
register_remote .                                                             ronkorving                               git@github.com:ronkorving/highlight.js.git                                       $# $@
register_remote .                                                             ronoco                                   git@github.com:ronoco/highlight.js.git                                           $# $@
register_remote .                                                             rschiang                                 git@github.com:rschiang/highlight.js.git                                         $# $@
register_remote .                                                             rstacruz                                 git@github.com:rstacruz/highlight.js.git                                         $# $@
register_remote .                                                             rstudio                                  git@github.com:rstudio/highlight.js.git                                          $# $@
register_remote .                                                             rzimmerman                               git@github.com:rzimmerman/highlight.js.git                                       $# $@
register_remote .                                                             santialbo                                git@github.com:santialbo/highlight.js.git                                        $# $@
register_remote .                                                             scemama                                  git@github.com:scemama/highlight.js.git                                          $# $@
register_remote .                                                             scien                                    git@github.com:scien/highlight.js.git                                            $# $@
register_remote .                                                             scrivo                                   git@github.com:scrivo/highlight.js.git                                           $# $@
register_remote .                                                             sdussaut                                 git@github.com:sdussaut/highlight.js.git                                         $# $@
register_remote .                                                             searchtree                               git@github.com:searchtree/highlight.js.git                                       $# $@
register_remote .                                                             seejohnrun                               git@github.com:seejohnrun/highlight.js.git                                       $# $@
register_remote .                                                             seesharper                               git@github.com:seesharper/highlight.git                                          $# $@
register_remote .                                                             senjap                                   git@github.com:senjap/highlight.js.git                                           $# $@
register_remote .                                                             sequitur                                 git@github.com:sequitur/highlight.js.git                                         $# $@
register_remote .                                                             seven-phases-max                         git@github.com:seven-phases-max/highlight.js.git                                 $# $@
register_remote .                                                             sevvie                                   git@github.com:sevvie/highlight.js.git                                           $# $@
register_remote .                                                             sh54                                     git@github.com:sh54/highlight.js.git                                             $# $@
register_remote .                                                             shelbys                                  git@github.com:shelbys/highlight.js.git                                          $# $@
register_remote .                                                             sheleonzhang                             git@github.com:sheleonzhang/highlight.js.git                                     $# $@
register_remote .                                                             shijiawu                                 git@github.com:shijiawu/highlight.js.git                                         $# $@
register_remote .                                                             simia-tech                               git@github.com:simia-tech/highlight.js.git                                       $# $@
register_remote .                                                             simonkim                                 git@github.com:simonkim/highlight.js.git                                         $# $@
register_remote .                                                             simsalabim                               git@github.com:simsalabim/highlight.js.git                                       $# $@
register_remote .                                                             skidu                                    git@github.com:skidu/highlight.js.git                                            $# $@
register_remote .                                                             skygr                                    git@github.com:skygr/highlight.js.git                                            $# $@
register_remote .                                                             smagch                                   git@github.com:smagch/highlight.js.git                                           $# $@
register_remote .                                                             smilecoder                               git@github.com:smilecoder/highlight.js.git                                       $# $@
register_remote .                                                             snowyu                                   git@github.com:snowyu/highlight.js.git                                           $# $@
register_remote .                                                             song-yuan                                git@github.com:song-yuan/highlight.js.git                                        $# $@
register_remote .                                                             soonhokong                               git@github.com:soonhokong/highlight.js.git                                       $# $@
register_remote .                                                             sourrust                                 git@github.com:sourrust/highlight.js.git                                         $# $@
register_remote .                                                             spazmodius                               git@github.com:spazmodius/highlight.js.git                                       $# $@
register_remote .                                                             sps-davelahaye                           git@github.com:sps-davelahaye/highlight.js.git                                   $# $@
register_remote .                                                             stain                                    git@github.com:stain/highlight.js.git                                            $# $@
register_remote .                                                             stefdn                                   git@github.com:stefdn/highlight.js.git                                           $# $@
register_remote .                                                             suzuboss                                 git@github.com:suzuboss/highlight.js.git                                         $# $@
register_remote .                                                             suzuki033                                git@github.com:suzuki033/highlight.js.git                                        $# $@
register_remote .                                                             sv                                       git@github.com:sv/highlight.js.git                                               $# $@
register_remote .                                                             sweatypitts                              git@github.com:sweatypitts/highlight.js.git                                      $# $@
register_remote .                                                             teambition                               git@github.com:teambition/highlight.js.git                                       $# $@
register_remote .                                                             tedypranolo                              git@github.com:tedypranolo/highlight.js.git                                      $# $@
register_remote .                                                             tehmaze-labs                             git@github.com:tehmaze-labs/highlight.js.git                                     $# $@
register_remote .                                                             tenbits                                  git@github.com:tenbits/highlight.js.git                                          $# $@
register_remote .                                                             texttheater                              git@github.com:texttheater/highlight.js.git                                      $# $@
register_remote .                                                             theodi                                   git@github.com:theodi/highlight.js.git                                           $# $@
register_remote .                                                             therebelbeta                             git@github.com:therebelbeta/highlight.js.git                                     $# $@
register_remote .                                                             thiagoterleski                           git@github.com:thiagoterleski/highlight.js.git                                   $# $@
register_remote .                                                             thingsinjars                             git@github.com:thingsinjars/highlight.js.git                                     $# $@
register_remote .                                                             thtr                                     git@github.com:thtr/highlight.js.git                                             $# $@
register_remote .                                                             titze                                    git@github.com:titze/highlight.js.git                                            $# $@
register_remote .                                                             tkrugg                                   git@github.com:tkrugg/highlight.js.git                                           $# $@
register_remote .                                                             tleish                                   git@github.com:tleish/highlight.js.git                                           $# $@
register_remote .                                                             tovic                                    git@github.com:tovic/highlight.js.git                                            $# $@
register_remote .                                                             towry                                    git@github.com:towry/highlight.js.git                                            $# $@
register_remote .                                                             travis4all                               git@github.com:travis4all/highlight.cs.git                                       $# $@
register_remote .                                                             treep                                    git@github.com:treep/highlight.js.git                                            $# $@
register_remote .                                                             trusktr                                  git@github.com:trusktr/highlight.js.git                                          $# $@
register_remote .                                                             tsenart                                  git@github.com:tsenart/highlight.js.git                                          $# $@
register_remote .                                                             tuanphpvn                                git@github.com:tuanphpvn/highlight.js.git                                        $# $@
register_remote .                                                             tymr                                     git@github.com:tymr/highlight.js.git                                             $# $@
register_remote .                                                             unbit                                    git@github.com:unbit/highlight.js.git                                            $# $@
register_remote .                                                             undefined-io                             git@github.com:undefined-io/highlight.js.git                                     $# $@
register_remote .                                                             unreal                                   git@github.com:unreal/highlight.js.git                                           $# $@
register_remote .                                                             v09-software                             git@github.com:v09-software/highlight.js.git                                     $# $@
register_remote .                                                             vience                                   git@github.com:vience/highlight.js.git                                           $# $@
register_remote .                                                             vikte                                    git@github.com:vikte/highlight.js.git                                            $# $@
register_remote .                                                             visoft                                   git@github.com:visoft/highlight.js.git                                           $# $@
register_remote .                                                             vlasovskikh                              git@github.com:vlasovskikh/highlight.js.git                                      $# $@
register_remote .                                                             voithos                                  git@github.com:voithos/highlight.js.git                                          $# $@
register_remote .                                                             volving                                  git@github.com:volving/highlight.js.git                                          $# $@
register_remote .                                                             wdw0705                                  git@github.com:wdw0705/highlight.js.git                                          $# $@
register_remote .                                                             web3app4                                 git@github.com:web3app4/highlight.js.git                                         $# $@
register_remote .                                                             wends155                                 git@github.com:wends155/highlight.js.git                                         $# $@
register_remote .                                                             wghust                                   git@github.com:wghust/highlight.js.git                                           $# $@
register_remote .                                                             will123195                               git@github.com:will123195/highlight.js.git                                       $# $@
register_remote .                                                             williamlfang                             git@github.com:williamlfang/highlight.js.git                                     $# $@
register_remote .                                                             workmousechen                            git@github.com:workmousechen/highlight.js.git                                    $# $@
register_remote .                                                             wuxq                                     git@github.com:wuxq/highlight.js.git                                             $# $@
register_remote .                                                             wxiangbo                                 git@github.com:wxiangbo/highlight.js.git                                         $# $@
register_remote .                                                             xgfone                                   git@github.com:xgfone/highlight.js.git                                           $# $@
register_remote .                                                             xiaotangyuan                             git@github.com:xiaotangyuan/highlight.js.git                                     $# $@
register_remote .                                                             xing-zhi                                 git@github.com:xing-zhi/highlight.js.git                                         $# $@
register_remote .                                                             xjyh                                     git@github.com:xjyh/highlight.js.git                                             $# $@
register_remote .                                                             yangsu                                   git@github.com:yangsu/highlight.js.git                                           $# $@
register_remote .                                                             yejingrong                               git@github.com:yejingrong/highlight.js.git                                       $# $@
register_remote .                                                             yexiaochai                               git@github.com:yexiaochai/highlight.js.git                                       $# $@
register_remote .                                                             yongaru                                  git@github.com:yongaru/highlight.js.git                                          $# $@
register_remote .                                                             yoogx                                    git@github.com:yoogx/highlight.js.git                                            $# $@
register_remote .                                                             yszou                                    git@github.com:yszou/highlight.js.git                                            $# $@
register_remote .                                                             yxxme                                    git@github.com:yxxme/highlight.js.git                                            $# $@
register_remote .                                                             zachaysan                                git@github.com:zachaysan/highlight.js.git                                        $# $@
register_remote .                                                             zalemwoo                                 git@github.com:zalemwoo/highlight.js.git                                         $# $@
register_remote .                                                             zeekay                                   git@github.com:zeekay/highlight.js.git                                           $# $@
register_remote .                                                             zeke                                     git@github.com:zeke/highlight.js.git                                             $# $@
register_remote .                                                             zephor                                   git@github.com:zephor/highlight.js.git                                           $# $@
register_remote .                                                             zhagqn                                   git@github.com:zhagqn/highlight.js.git                                           $# $@
register_remote .                                                             zhangxinsheng                            git@github.com:zhangxinsheng/highlight.js.git                                    $# $@
register_remote .                                                             zhangyuanwei                             git@github.com:zhangyuanwei/highlight.js.git                                     $# $@
register_remote .                                                             zhouyy                                   git@github.com:zhouyy/highlight.js.git                                           $# $@



popd                                                                            2> /dev/null   > /dev/null

